{**
* 2012 - 2022 HiPresta
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0).
* It is also available through the world-wide-web at this URL: https://opensource.org/licenses/AFL-3.0
*
* @author    HiPresta <support@hipresta.com>
* @copyright HiPresta 2022
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
* @link      https://hipresta.com
*}

<nav id="hmd-modal" class="col-lg-3 hmd-sidebar-right hmd-sidebar-animate text-sm-center">
    <div class="hmd-container">
        <div class="hmd-header">
            <a href="#" class="hmd-dismiss-modal">×</a>
            <h2>{l s='Help' mod='hicookielaw'}</h2>
        </div>
        <div class="hmd-content">
            <div class="hmd-item" data-doc="template">
                <h2>{l s='Banner Template' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='There are 2 available templates for the banner. Both templates designed to comply with GDPR law.' mod='hicookielaw'}</p>
                    <p>{l s='Below you can see presentation of each template and choose the one you like most.' mod='hicookielaw'}</p>

                    <div class="row hmd-images-block">
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}template-1.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}template-1.jpg">
                                <span>{l s='Template 1' mod='hicookielaw'}</span>
                            </a>
                        </div>
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}template-2.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}template-2.jpg">
                                <span>{l s='Template 2' mod='hicookielaw'}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="bannerContent">
                <h2>{l s='Banner Content' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This is the main content of banner, it\'ll appear above Cookie Types and below the logo.' mod='hicookielaw'}</p>
                    <p>{l s='If you use multiple languages, you\'ll need to enter the content for each language.' mod='hicookielaw'}</p>

                    <div class="row hmd-images-block">
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}banner-content.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}banner-content.jpg">
                                <span>{l s='Banner Content' mod='hicookielaw'}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="shopLogo">
                <h2>{l s='Display Shop Logo' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='When this option is enabled, the shop logo will appear above banner content.' mod='hicookielaw'}</p>
                    <p>{l s='You can disable this option and upload a custom logo for the banner.' mod='hicookielaw'}</p>

                    <div class="row hmd-images-block">
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}shop-logo.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}shop-logo.jpg">
                                <span>{l s='Shop Logo' mod='hicookielaw'}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="bannerLogo">
                <h2>{l s='Banner Logo' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Banner Logo is displayed when the Shop Logo option is disabled.' mod='hicookielaw'}</p>
                    <p>{l s='You can leave this field empty if you don\'t want to display a logo on banner' mod='hicookielaw'}</p>
                    <p>{l s='The following files are allowed to upload: jpg, jpeg, gif, png' mod='hicookielaw'}</p>

                    <div class="row hmd-images-block">
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}banner-logo.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}banner-logo.jpg">
                                <span>{l s='Custom Logo' mod='hicookielaw'}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="bannerPosition">
                <h2>{l s='Banner Postion' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='There are 5 available positions to display the banner.' mod='hicookielaw'}</p>
                    <p>{l s='Please see the presentation of each position below.' mod='hicookielaw'}</p>

                    <div class="row hmd-images-block">
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}top-left-position.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}top-left-position.jpg">
                                <span>{l s='Top Left' mod='hicookielaw'}</span>
                            </a>
                        </div>
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}top-right-position.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}top-right-position.jpg">
                                <span>{l s='Top Right' mod='hicookielaw'}</span>
                            </a>
                        </div>
                    </div>

                    <div class="row hmd-images-block">
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}bottom-left-position.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}bottom-left-position.jpg">
                                <span>{l s='Bottom Left' mod='hicookielaw'}</span>
                            </a>
                        </div>
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}bottom-right-position.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}bottom-right-position.jpg">
                                <span>{l s='Bottom Right' mod='hicookielaw'}</span>
                            </a>
                        </div>
                    </div>
                    
                    <div class="row hmd-images-block">
                        <div class="col-lg-6">
                            <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}popup-position.jpg" class="hmd-image-item" target="_blank">
                                <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}popup-position.jpg">
                                <span>{l s='Popup' mod='hicookielaw'}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="cmsPage">
                <h2>{l s='CMS page for More Information button' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can select a CMS page where you have detailed explanation on how your website uses cookies.' mod='hicookielaw'}</p>
                    <p>{l s='When CMS page is enabled, the banner will display a new "More Info" button.' mod='hicookielaw'}</p>
                    <p>{l s='If you don\'t want to display the button, you can simply ignore this option.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="disableCountries">
                <h2>{l s='Disable Cookie banner for selected countries' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If you want to display the banner only for certian countries, you can select and disable the banner for all the rest countries.' mod='hicookielaw'}</p>
                    <p>{l s='When no country is selected the banner will display for everyone.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="automaticConsent">
                <h2>{l s='Automatically consent on navigation' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If this option is enabled, the cookies will be automatically accepted when user navigates through your website and the banner will not display again, regardless user clicked on "Accept" button or not' mod='hicookielaw'}</p>
                </div>
            </div>

            <div class="hmd-item" data-doc="reloadPage">
                <h2>{l s='Reload the page when cookie law accpeted' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If this option is enabled, the page will reload once user clicks on "Accept" button' mod='hicookielaw'}</p>
                    <p>{l s='This is usefull when you have disabled modules for certian cookie types and you want to enable them immedeintly after user accepts the cookies.' mod='hicookielaw'}</p>
                    <p>{l s='Even if this option is disabled, the disabled modules will load when user navigates through your website after accepting the cookies.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="blockNavigation">
                <h2>{l s='Block navigation before cookie law accepted' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This option allows you to block navigation through your website unless cookies are accepted.' mod='hicookielaw'}</p>
                    <p>{l s='Please note: when this option is enabled, the only page user can access without accepting cookies is the "More Info" CMS page (If you have enabled this option).' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="settingsButton">
                <h2>{l s='Display Cookie Settings Button' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This option will add a new button which will appear only when cookies are accepted so users can change / update their choice.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="settingsButtonPosition">
                <h2>{l s='Cookie Settings button position' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Basically you can display the settings button anywhere on your website' mod='hicookielaw'}</p>
                    <p>{l s='When the "Top" position is active it\'ll display on displayNav2 hook for PrestaShop version 1.7 and 8 and on displayTop hook for PrestaShop version 1.6' mod='hicookielaw'}</p>
                    <p>{l s='You can enable the custom hook option and add the following code in your theme or module tpl file where you want to display it' mod='hicookielaw'}</p>
                    <pre>{literal}{hook h="displayHiCookieSettings"}{/literal}</pre>

                    <p>{l s='You can also manually hook the button to any hook of your theme from the tab Design->Positions.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="disableBannerForSearchEngines">
                <h2>{l s='Disable Cookie Banner for Search Engines' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This option will hide the banner when Search Engine robotos try to crawl your website' mod='hicookielaw'}</p>
                    <p>{l s='It\'s always a good idea to have this option enabled unless you have a good reason to display the banner for robots.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="testIPs">
                <h2>{l s='Test IPs' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If you want to always display the banner for certian users, even when the cookies are already accepted you can add IP address here.' mod='hicookielaw'}</p>
                    <p>{l s='This is usefull while you\'re configuring the banner so you\'ll not need to clear your cookies to see the banner every time to click on "Accept" button' mod='hicookielaw'}</p>
                </div>
            </div>

            <div class="hmd-item" data-doc="cleanDb">
                <h2>{l s='Clean Database when module uninstalled' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='We recommend to keep this option disabled. If you enable it, after uninstalling the module all data related to this module will be deleted from database.' mod='hicookielaw'}</p>
                    <p>{l s='This option can be used if for some reason you don\'t want to use the module anymore or you need to reset all settings to defaults.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="cookieTypesHelp">
                <h2>{l s='Cookie Types' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Here you can add / configure all cookie types your website uses.' mod='hicookielaw'}</p>
                    <p>{l s='When you have configured cookie types, users will be able to give a consent of storing for specific types of cookies.' mod='hicookielaw'}</p>
                    <p>{l s='If there are no cookie types are configured, the module will display only the banner without configurable options for specific cookie types.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="cookieTypeName">
                <h2>{l s='Cookie Type Name' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Give a brief name for cookie type so users will know what\'s it used for.' mod='hicookielaw'}</p>
                    <p>{l s='Example: Functional cookies, Advertising Cookies, Analytics cookies' mod='hicookielaw'}</p>
                    <p>{l s='This will be displayed as label for configruable option in the banner' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="cookieTypeDescription">
                <h2>{l s='Cookie Type Description' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Here you can add more detailed information on how these specific cookies are used.' mod='hicookielaw'}</p>
                    <p>{l s='This is not a mandatory field but we recommend you to add small description on these cookies are used.' mod='hicookielaw'}</p>
                    <p>{l s='If you use multiple languages, you\'ll need to enter the content for each language.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="cookieTypeDefaultStatus">
                <h2>{l s='Cookie Type Default Status' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can choose the have the option enabled or disabled by default.' mod='hicookielaw'}</p>
                    <p>{l s='This doesn\'t mean that the cookie type will be accepted by default, users still can switch it off / on.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="cookieTypeRequired">
                <h2>{l s='Required Cookie Type' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If this option is enabled, users will not be able to switch off the use of this cookie type.' mod='hicookielaw'}</p>
                    <p>{l s='This can be used for "Necessary Cookies", which are required for a website to function.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="cookieTypeModules">
                <h2>{l s='Modules to disable' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This option allows you to select and keep modules disabled until user constents to install specific type of cookies.' mod='hicookielaw'}</p>
                    <p>{l s='For example if you use a Google Analytics module, you\'ll need to create "Analytics cookies" type and disable the module untill the consent is given for Analytics cookies.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="customScript">
                <h2>{l s='Custom Script' mod='hicookielaw'}</h2>
                <div class="hmd-item-content">
                    <p>{l s='Here you can enter any HTML / JavaScript code to block untill this cookie type is accepted.' mod='hicookielaw'}</p>
                    <p>{l s='When this cookie type is accepted, our module will embedd the entered code in the head of your theme.' mod='hicookielaw'}</p>
                    <p>{l s='Here is an example of GTM code you can use to load when the cookie type is accepted:' mod='hicookielaw'}</p>
<pre>&lt;script&gt;{literal}(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-XXXXXX');{/literal}&lt;/script&gt;</pre>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="manualBlock">
                <h2>{l s='Block Script Manually' mod='hicookielaw'}</h2>
                <div class="hmd-item-content">
                    <p>{l s='You can use these methods to manually block scripts from your theme / modules until user accepts the selected cookie type' mod='hicookielaw'}</p>
                    <p>{l s='There are 3 available methods:' mod='hicookielaw'}</p>
                    <p>{l s='Use the Smarty method if you want to block the script from tpl files.' mod='hicookielaw'}</p>
                    <p>{l s='Use the JavaScript method if you want to block the script from JavaScript files.' mod='hicookielaw'}</p>
                    <p>{l s='Use the PHP method if you want to block the script from PHP files.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="enableGoogleConsentMode">
                <h2>{l s='Enable Google Consent Mode' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Google Consent Mode allows to have Google Analytics or Google Ads scripts installed on your website and still comply with GDPR law.' mod='hicookielaw'}</p>
                    <p>{l s='You can configure it to not install cookies unless consent is given.' mod='hicookielaw'}</p>

                    <div class="alert alert-info">
                        {l s='Note: Google Consent Mode works only with gtag.js, it\'s not compatible with analytics.js' mod='hicookielaw'}
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="analyticsStorageCookieType">
                <h2>{l s='Cookie Type for Analytics Storage' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Here you can select the cookie type that should be accepted in order to allow Google Analytics to install cookies' mod='hicookielaw'}</p>
                    <p>{l s='You can create / configure cookie types from the "Cookie Types" tab.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="analyticsStorageDefaultValue">
                <h2>{l s='Default value for Analytics Storage' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can choose to allow or block Google Analytics cookies before the consent is given.' mod='hicookielaw'}</p>
                    <p>{l s='When "Denied" is chosen, Google Analytics cookies will not be installed until consent is given.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="urlPassthrough">
                <h2>{l s='Enable URL Passthrough' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If Analytics Storage is set to denied, URL passthrough can be used to send event and session-based analytics (including conversions) without cookies across pages.' mod='hicookielaw'}</p>
                    <p>{l s='Google Analytics will use URL params instead of cookies for session-based conversations.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="adStorageCookieType">
                <h2>{l s='Cookie Type for Ad Storage' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Here you can select the cookie type that should be accepted in order to allow Google Ads to install cookies' mod='hicookielaw'}</p>
                    <p>{l s='You can create / configure cookie types from the "Cookie Types" tab.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="adStorageDefaultValue">
                <h2>{l s='Default value for Ad Storage' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can choose to allow or block Google Ads cookies before the consent is given.' mod='hicookielaw'}</p>
                    <p>{l s='When "Denied" is chosen, Google Ads cookies will not be installed until consent is given.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="adsDataRedaction">
                <h2>{l s='Enable Ads Data Redaction' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If Ad Storage is set to denied, Ads Data Redaction will continue further redact your ads data.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="adUserDataCookieType">
                <h2>{l s='Cookie Type for Ad User Data' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Here you can select the cookie type that should be accepted in order to allow to send user data related to advertising to Google' mod='hicookielaw'}</p>
                    <p>{l s='You can create / configure cookie types from the "Cookie Types" tab.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="adPersonalizationCookieType">
                <h2>{l s='Cookie Type for Ad Personalization' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Here you can select the cookie type that should be accepted in order to allow personalized advertising' mod='hicookielaw'}</p>
                    <p>{l s='You can create / configure cookie types from the "Cookie Types" tab.' mod='hicookielaw'}</p>
                </div>
            </div>

            <div class="hmd-item" data-doc="adUserDataDefaultValue">
                <h2>{l s='Default value for Ad User Data' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can choose to allow or block ad user data before the consent is given.' mod='hicookielaw'}</p>
                    <p>{l s='When "Denied" is chosen, ad user data will not be used until consent is given.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="adPersonalizationDefaultValue">
                <h2>{l s='Default value for Ad Personalization' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can choose to allow or block personalized advertising before the consent is given.' mod='hicookielaw'}</p>
                    <p>{l s='When "Denied" is chosen, personalized advertising will not be used until consent is given.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="designPadding">
                <h2>{l s='Padding around banner' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can set here the empty space around the banner in pixels, please enter only numbers without "px" suffix' mod='hicookielaw'}</p>
                    <p>{l s='See below for more details.' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}padding.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}padding.jpg">
                            <span>{l s='Padding' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="bannerWidth">
                <h2>{l s='Banner width' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='You can change the banner width to fit better the content you use in it.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="backgroundColor">
                <h2>{l s='Background color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This will change the background color of banner.' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg">
                            <span>{l s='Background Color' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="textColor">
                <h2>{l s='Text color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This will change the color of the banner main content and cookie types.' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg">
                            <span>{l s='Text Color' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="borderColor">
                <h2>{l s='Borders color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This will change the color of borders from cookie types table and the borders around buttons for Template 1.' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg">
                            <span>{l s='Borders Color' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="borderRadius">
                <h2>{l s='Banner border radius' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Border radius around the banner' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg">
                            <span>{l s='Border Radius' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="acceptTextColor">
                <h2>{l s='Accept button text color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Change the color for accept button text.' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg">
                            <span>{l s='Accept Button' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="customizeTextColor">
                <h2>{l s='Customize button text color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Change the color for customize button text.' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg">
                            <span>{l s='Customize Button' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="moreInfoTextColor">
                <h2>{l s='More info button text color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Change the color for more info button text.' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-1.jpg">
                            <span>{l s='More Info Button' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="customCSS">
                <h2>{l s='Custom CSS' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='If the styles above are not enough to get the look of the banner you wish, you can always add custom styles here, though you may need some basic CSS skills.' mod='hicookielaw'}</p>
                </div>
            </div>

            <div class="hmd-item" data-doc="onlyNecerssaryButtonBgColor">
                <h2>{l s='Only necessary cookies button background color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This will change the background color for "Only necessary cookies" button' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg">
                            <span>{l s='Button BG Color' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="onlyNecerssaryButtonTextColor">
                <h2>{l s='Only necessary cookies button text color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This will change the text color for "Only necessary cookies" button' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg">
                            <span>{l s='Button Text Color' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="acceptAllButtonBgColor">
                <h2>{l s='Accept all cookies button background color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This will change the background color for "Accept All Cookies" button' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg">
                            <span>{l s='Button BG Color' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="acceptAllButtonTextColor">
                <h2>{l s='Accept all cookies button text color' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='This will change the text color for "Accept All Cookies" button' mod='hicookielaw'}</p>
                </div>

                <div class="row hmd-images-block">
                    <div class="col-lg-6">
                        <a href="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg" class="hmd-image-item" target="_blank">
                            <img src="{$moduleAssetsDir|escape:'htmlall':'UTF-8'}styles-2.jpg">
                            <span>{l s='Button Text Color' mod='hicookielaw'}</span>
                        </a>
                    </div>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="continueWithoutAccepting">
                <h2>{l s='Display "Contine Without Accpeting" button' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='When enabled, users will be able to close the cookie banner without accepting cookies' mod='hicookielaw'}</p>
                    <p>{l s='The banner will not display again for the current seesion and will display once new session is started.' mod='hicookielaw'}</p>
                </div>
            </div>
            
            <div class="hmd-item" data-doc="bannerHook">
                <h2>{l s='Hook for banner' mod='hicookielaw'}</h2>

                <div class="hmd-item-content">
                    <p>{l s='Select the hook you want to use to load the banner.' mod='hicookielaw'}</p>
                    <p>{l s='By default the module will try to load the banner on displayFooter hook but it may not work for some themes so you can switch to displayHeader hook.' mod='hicookielaw'}</p>
                </div>
            </div>
        </div>

        <div class="hmd-footer">
            {l s='Feel free to [1]Contact Us[/1] if you need further assistance.' tags=["<a href='{$contactLink}' target='_blank'>"] mod='hicookielaw'}
        </div>
    </div>
</nav>