<?php
/**
 * 2012 - 2024 HiPresta
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0).
 * It is also available through the world-wide-web at this URL: https://opensource.org/licenses/AFL-3.0
 *
 * @author    HiPresta <support@hipresta.com>
 * @copyright HiPresta 2024
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *
 * @website   https://hipresta.com
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

class Module extends ModuleCore
{
    public static function getExceptionsStatic($id_module, $id_hook, $dispatch = false)
    {
        $hicookie = Module::getInstanceByName('hicookielaw');
        if ($hicookie && $hicookie->active && $hicookie->isModuleDisabled($id_module)) {
            $controller = Dispatcher::getInstance()->getController();
            $exceptions = [$controller];
            if (isset(Context::getContext()->controller->php_self)) {
                $phpSelf = Context::getContext()->controller->php_self;

                if ($phpSelf != $controller) {
                    array_push($exceptions, $phpSelf);
                }
            }

            return $exceptions;
        } else {
            return parent::getExceptionsStatic($id_module, $id_hook, $dispatch);
        }
    }
}
