{**
 * 2012 - 2024 HiPresta
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0).
 * It is also available through the world-wide-web at this URL: https://opensource.org/licenses/AFL-3.0
 *
 * @author    HiPresta <support@hipresta.com>
 * @copyright HiPresta 2024
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *
 * @website   https://hipresta.com
 *}
{extends file="helpers/list/list_content.tpl"}
{block name="td_content"}
    {if $key == 'disabled'}
        <a
            data-id="{$tr.id_type|intval}"
            data-status="{$tr.disabled|escape:'htmlall':'UTF-8'}"
            data-status-type="requiredCookie"
            class="hicookietype-status btn {if !$tr.disabled}btn-danger{else}btn-success{/if}"
            href="#"
            title="{if !$tr.disabled}{l s='Disabled' mod='hicookielaw'}{else}{l s='Enabled' mod='hicookielaw'}{/if}">
                <i class="{if !$tr.disabled}icon-remove{else}icon-check{/if}"></i>
        </a>
    {elseif $key == 'default_status'}
        <a
            data-id="{$tr.id_type|intval}"
            data-status="{$tr.default_status|escape:'htmlall':'UTF-8'}"
            data-status-type="defaultStatus"
            class="hicookietype-status btn {if !$tr.default_status}btn-danger{else}btn-success{/if}"
            href="#"
            title="{if !$tr.default_status}{l s='Disabled' mod='hicookielaw'}{else}{l s='Enabled' mod='hicookielaw'}{/if}">
                <i class="{if !$tr.default_status}icon-remove{else}icon-check{/if}"></i>
        </a>
    {elseif $key == 'sort'}
        {if isset($params.disableSort) && $params.disableSort}
            --
        {else}
            <a href="#">
                <i class="icon-move"></i>
            </a>
        {/if}
    {elseif $key == 'blocked_modules'}
        <a data-id-type="{$tr.id_type|intval}" class="btn btn-default add-type-modules" href="#" title="{l s='Manage Modules' mod='hicookielaw'}">
            <i class="icon-puzzle-piece"></i>
        </a>
    {elseif $key == 'blockedModules'}
        {if $tr.blockedModules|count < 3}
            <div>
                {foreach from=$tr.blockedModules item=blockedModule name=blockedModules}
                    {$blockedModule.displayName|escape:'htmlall':'UTF-8'}
                    <br>
                {/foreach}
            </div>
        {else}
            <div
                data-container=".column-blockedmodules"
                data-toggle="popover"
                data-trigger="hover"
                data-placement="top"
                data-html="true"
                data-content="
                    {foreach $tr.blockedModules as $blockedModule}
                        {$blockedModule.displayName|escape:'htmlall':'UTF-8'}
                        <br>
                    {/foreach}
                "
            >
                {foreach from=$tr.blockedModules item=blockedModule name=blockedModules}
                    {if $smarty.foreach.blockedModules.index == 2}
                        {break}
                    {/if}
                    {$blockedModule.displayName|escape:'htmlall':'UTF-8'}
                    <br>
                {/foreach}
                ...
            </div>
        {/if}
    {elseif $key == 'consents'}
        {foreach $tr.consents as $key => $consent}
            {$key|escape:'htmlall':'UTF-8'}: <i class="icon-{if $consent}check{else}remove{/if}"></i><br>
        {/foreach}
    {elseif isset($params.type) && $params.type == 'actionButton'}
        <a
            data-id-element="{$tr[$identifier]|intval}"
            data-action-type="{$params.actionType|escape:'htmlall':'UTF-8'}"
            class="btn btn-default hi-presta-module-action-button hi-presta-module-action-button-{$params.actionType|escape:'htmlall':'UTF-8'}"
            href="#"
            title="{$params.actionTitle|escape:'htmlall':'UTF-8'}"
        >
            <i class="{$params.actionIcon|escape:'htmlall':'UTF-8'}"></i>

            {if isset($params.actionCount)}
                <span class="badge badge-success hi-module-badge">{$tr[$params.actionCount]|intval}</span>
            {/if}
        </a>
    {else}
        {$smarty.block.parent}
    {/if}
{/block}




