<?php
/**
 * Advancedcms
 *
 * @category  Module
 * @author    silbersaiten <info@silbersaiten.de>
 * @support   silbersaiten <support@silbersaiten.de>
 * @copyright 2016 silbersaiten
 * @version   1.2.0
 * @link      http://www.silbersaiten.de
 * @license   See joined file licence.txt
 */

class AdvancedCMSContainer extends ObjectModel
{
    public $id_ad_cms;
    public $css_class;
    public $css_class_w;
    public $position;
    public $wrapper;
    public $divider;
    public $active;
    public $date_add;
    public $date_upd;

    public static $definition = array(
        'table'     => 'ad_cms_container',
        'primary'   => 'id_ad_cms_container',
        'multilang' => false,
        'fields'    => array(
            'id_ad_cms'           => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId', 'required' => true),
            'css_class'           => array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'css_class_w'         => array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'position'            => array('type' => self::TYPE_INT, 'validate' => 'isUnsignedId'),
            'wrapper'             => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'divider'             => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'active'              => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'date_add'            => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
            'date_upd'            => array('type' => self::TYPE_DATE, 'validate' => 'isDateFormat'),
        )
    );

    public function delete()
    {
        if (parent::delete()) {
            $blocks = AdvancedCMSBlock::getBlocksFromContainer($this->id);

            if ($blocks) {
                foreach ($blocks as $block) {
                    if (Validate::isLoadedObject($block_obj = new AdvancedCMSBlock((int)$block['id_ad_cms_block']))) {
                        $block_obj->delete();
                    }
                }
            }

            return true;
        }

        return false;
    }

    public static function getCmsContainers($id_ad_cms, $active = false)
    {
        if (!Validate::isUnsignedId($id_ad_cms)) {
            return false;
        }

        return Db::getInstance()->ExecuteS(
            'SELECT * FROM `'._DB_PREFIX_.'ad_cms_container` WHERE `id_ad_cms` = '.
            (int)$id_ad_cms.($active ? ' AND `active` = 1' : '').' ORDER BY `position` ASC'
        );
    }
}
