/**
 * Advancedcms
 *
 * @category  Module
 * @author    silbersaiten <info@silbersaiten.de>
 * @support   silbersaiten <support@silbersaiten.de>
 * @copyright 2015 silbersaiten
 * @version   1.0.4
 * @link      http://www.silbersaiten.de
 * @license   See joined file licence.txt
 */

var AdvancedCmsBlockCategorySlider = {
	localLoad: function(containerIndex, blockIndex, fancyboxContents, blockData)
	{
		var categoryContainer;
		
		if (blockData.settings.image_type)
			fancyboxContents.find('select[name=image_type]').val(blockData.settings.image_type);
			
		fancyboxContents.find('input[name=slides_to_show]').val(typeof(blockData.settings.slides_to_show) == 'undefined' ? 1 : blockData.settings.slides_to_show);
		
		for (var i in blockData.content)
		{
			categoryContainer = fancyboxContents.find('ul#categories-treeview-' + blockData.content[i].id_lang);
			
			if (categoryContainer.length && typeof(blockData.content[i].value) == 'object') {
				for (var y in blockData.content[i].value) {
					categoryContainer.find('input[type=checkbox][name^=categoryBox][value=' + blockData.content[i].value[y] + ']').prop('checked', true).parents('span:first').addClass('tree-selected');
				}
			}
		}
	},
	
	localOpen: function(containerIndex, blockIndex, fancyboxContent)
	{
		$('#categories-treeview').tree('expandAll');
	},
	
	localSave: function(containerIndex, blockIndex, fancyboxContent)
	{
		var collection = $('ul[id^=categories-treeview-]'),
			imageType  = fancyboxContent.find('select[name=image_type]').val(),
			slidesToShow = parseInt(fancyboxContent.find('input[name=slides_to_show]').val()),
			idLang,
			selectedCategories;
			
		slidesToShow = (isNaN(slidesToShow) || slidesToShow < 1) ? 1 : slidesToShow;
			
		cmsbuilder.blockData[containerIndex].items[blockIndex].content = {};
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings = {};
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['slides_to_show'] = slidesToShow;
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['image_type'] = (imageType);
		
		if (collection.length) {
			collection.each(function(){
				idLang = parseInt($(this).attr('id').split('-')[2]);

				cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + idLang] = {id_lang: idLang, value: []};
				
				selectedCategories = $(this).find('input[type=checkbox][name^=categoryBox]:checked');
				
				if (selectedCategories.length) {
					selectedCategories.each(function(){
						cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + idLang].value.push(parseInt($(this).attr('value')))
					});
				}
			});
		}
	},
}
