/**
 * Advancedcms
 *
 * @category  Module
 * @author    silbersaiten <info@silbersaiten.de>
 * @support   silbersaiten <support@silbersaiten.de>
 * @copyright 2015 silbersaiten
 * @version   1.0.4
 * @link      http://www.silbersaiten.de
 * @license   See joined file licence.txt
 */

var AdvancedCmsBlockImageSlider = {
	init: function()
	{
		cmsbuilder.change('input.adcms-gallery-image-slider-checkbox', function(){
			AdvancedCmsBlockImageSlider.processGalleryImageClick($(this));
		});
		
		cmsbuilder.click('a.adcms-gallery-image-slider-delete', function(){
			if (confirm(cmsbuilder.tr('Are you sure you want to delete this image?'))) {
				AdvancedCmsBlockImageSlider.processGalleryImageDelete($(this).parents('.adcms-gallery-image-wrapper:first'));
			}
		});

		cmsbuilder.click('a.adcms-gallery-image-slider-config', function(){
			AdvancedCmsBlockImageSlider.processGalleryImageInfo($(this).parents('.adcms-gallery-image-wrapper:first'));
		});

		cmsbuilder.click('a.adcms-gallery-image-slider-preview-close', function(e){
			AdvancedCmsBlockImageSlider.processGalleryImageInfoClose($(this).parents('.adcms-gallery-image-wrapper:first'));
		});

		cmsbuilder.mouseover('a.adcms-gallery-image-slider-config', function(e){
			AdvancedCmsBlockImageSlider.processGalleryImageInfo($(this).parents('.adcms-gallery-image-wrapper:first'));
		});

		cmsbuilder.mouseleave('a.adcms-gallery-image-slider-config', function(e){
			AdvancedCmsBlockImageSlider.processGalleryImageInfoClose($(this).parents('.adcms-gallery-image-wrapper:first'));
		});
	},
	
	localSave: function(containerIndex, blockIndex, fancyboxContent)
	{
		var collection = fancyboxContent.find('input.adcms-gallery-image-slider-checkbox:checked'),
			id_lang,
			selectedBlock;
		
		cmsbuilder.blockData[containerIndex].items[blockIndex].content = {};

		var easing = fancyboxContent.find('select[name=easing]').val(),
			speed = parseInt(fancyboxContent.find('input[name=speed]').val()),
			auto = fancyboxContent.find('input[name=isauto]').prop("checked"),
			loop = fancyboxContent.find('input[name=isloop]').prop("checked");

		if (isNaN(speed) || speed < 0) {
			speed = 500;
		}
		
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings = {
			easing: easing,
			speed: speed,
			auto: auto,
			loop: loop
		};
		
		if (collection.length) {
			collection.each(function(){
				selectedBlock = $(this).parents('.adcms-gallery-image-wrapper:first');
				id_lang = selectedBlock.data('languageId');
				image = selectedBlock.data('imageName');
				url = selectedBlock.find('input[name=image_url]').val();
				
				if (!('lang_' + id_lang in cmsbuilder.blockData[containerIndex].items[blockIndex].content))
					cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + id_lang] = {id_lang: id_lang, value: []};
				
				cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + id_lang].value.push({
					image: image,
					url: url
				});
			});
		}
	},
	
	localOpen: function(containerIndex, blockIndex, fancyboxContent)
	{
		fancyboxContent.find('input[name=adcms_image]').fileupload({
			maxNumberOfFiles: 1,
			formData: {
				'block_controller': 'AdvancedCmsBlockImageSlider',
				'action': 'uploadGalleryImage'
            },
			add: function (e, data)
			{
				data.context = fancyboxContent.find('#uploadContext');
				
				var jqXHR = data.submit().success(function(result, textStatus, jqXHR){
					var json = JSON.parse(result);
					var status = json['status'];
					
					if (status == 'error')
					{
						data.context.addClass('error');
						
						if (typeof(json.message) != 'undefined')
							data.context.append($(document.createElement('div')).addClass('alert alert-danger upload_err clear').html(json.message));
					}
					else if (status == 'success')
					{
						if (typeof(json.filename) != 'undefined' && typeof(json.thumbnail) != 'undefined' && json.filename.length && json.thumbnail.length)
						{
							var galleries_collection = $('.adcms-gallery-lang-wrapper');
							
							if (galleries_collection.length)
							{
								galleries_collection.each(function(){
									$(this).prepend(
										$(document.createElement('div')).addClass('adcms-gallery-image-wrapper').data('image-name', json.filename).data('language-id', $(this).attr('rel'))
											.append($(document.createElement('div')).addClass('adcms-gallery-image-select-wrapper')
												.append(
													$(document.createElement('img')).attr('src', json.thumbnail).addClass('thumbnail')
												)
												// .append(
												// 	$(document.createElement('a')).attr('href', '#').addClass('adcms-gallery-image-slider-config')
												// 	.append($(document.createElement('i')).addClass('icon-cogs'))
												// )
												.append(
													$(document.createElement('div')).addClass('adcms-gallery-image-checkbox')
														.append($(document.createElement('p')).addClass('checkbox')
															.append($(document.createElement('input')).attr({'type': 'checkbox', 'name': 'adcms-gallery-image-slider-checkbox'}).addClass('adcms-gallery-image-slider-checkbox'))
														)
												)
											)
											.append($(document.createElement('div')).addClass('adcms-gallery-image-settings')
												.append($(document.createElement('div')).addClass('col-lg-12')
													.append($(document.createElement('input')).attr({'name': 'image_url', 'type': 'text', 'disabled':'disabled', 'placeholder':AdvancedCmsBlockImageSlider.tr('Enter link')}).addClass('form-control'))
												)
											)
											.append(
												$(document.createElement('a')).attr('href', '#').addClass('adcms-gallery-image-slider-delete')
												.append($(document.createElement('i')).addClass('icon-remove'))
											)
									);
								});
							}
						}
					}
					
					setTimeout(function(){
						data.context.fadeOut('slow');
					}, 100000);
				});
			}
		});

		if (typeof(cmsbuilder.blockData[containerIndex].items[blockIndex].settings['easing']) != 'undefined') {
			fancyboxContent.find('select[name=easing]').val(cmsbuilder.blockData[containerIndex].items[blockIndex].settings['easing']);
			fancyboxContent.find('input[name=speed]').val(cmsbuilder.blockData[containerIndex].items[blockIndex].settings['speed']);
			var s_loop = cmsbuilder.blockData[containerIndex].items[blockIndex].settings['loop'];
			var s_auto = cmsbuilder.blockData[containerIndex].items[blockIndex].settings['auto'];
			if (s_loop == true) {
				fancyboxContent.find('input[name=isloop][value="1"]').attr('checked','checked');
				fancyboxContent.find('input[name=isloop][value="0"]').removeAttr('checked');
			}
			if (s_auto == true) {
				fancyboxContent.find('input[name=isauto][value="1"]').attr('checked','checked');
				fancyboxContent.find('input[name=isauto][value="0"]').removeAttr('checked');
			}
		}

		for (var i in cmsbuilder.blockData[containerIndex].items[blockIndex].content)
		{
			var data = cmsbuilder.blockData[containerIndex].items[blockIndex].content[i].value,
				lang  = cmsbuilder.blockData[containerIndex].items[blockIndex].content[i].id_lang;
				
			if (typeof(data) == 'object') {
				for (var y in data) {
					if (typeof(data[y].image) != 'undefined') {
						container = fancyboxContent.find('div.adcms-gallery-image-wrapper[data-image-name="' + data[y].image + '"][data-language-id="' + lang + '"]');
						
						if (container.length) {
							container.find('input.adcms-gallery-image-slider-checkbox').trigger('click');
							container.find('input[name=image_url]').val(data[y].url);
						}
					}
				}
			}
		}
	},
	
	processGalleryImageClick: function(clickedCheckbox)
	{
		var parent = clickedCheckbox.parents('.adcms-gallery-image-wrapper:first');
		
		if (parent.length) {
			var blockIndex = cmsbuilder.getBlockIndex(cmsbuilder.currentActiveBlock),
				containerIndex = cmsbuilder.getContainerIndex(cmsbuilder.getBlocksContainer(cmsbuilder.currentActiveBlock));
				
			if (clickedCheckbox.prop('checked')) {
				parent.find('.adcms-gallery-image-settings input').removeAttr('disabled');
				
				if (typeof(cmsbuilder.blockData[containerIndex].items[blockIndex]) != 'undefined') {
					cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + parseInt(parent.data('languageId'))] = {
						'id_lang': parseInt(parent.data('languageId')),
						'value': parent.data('imageName')
					};
				}
			} else {
				parent.find('.adcms-gallery-image-settings input').attr('disabled','disabled');
				
				for (var i in cmsbuilder.blockData[containerIndex].items[blockIndex].content) {
					if (cmsbuilder.blockData[containerIndex].items[blockIndex].content[i].value == parent.data('imageName')) {
						delete cmsbuilder.blockData[containerIndex].items[blockIndex].content[i];
					}
				}
			}
		}
	},
	
	processGalleryImageInfo: function(galleryImage)
	{
		var blockIndex = cmsbuilder.getBlockIndex(cmsbuilder.currentActiveBlock),
			containerIndex = cmsbuilder.getContainerIndex(cmsbuilder.getBlocksContainer(cmsbuilder.currentActiveBlock)),
			imageName = galleryImage.data('imageName'),
			imageSize = galleryImage.data('imageSize'),
			galleryPath = galleryImage.closest('.adcms-gallery-slider').data('galleryPath');

		$(galleryImage).append(
			$(document.createElement('div')).addClass('adcms-gallery-image-slider-preview').css({'left':'50px', 'top':'125px'})
				.append(
					$(document.createElement('img')).attr('src', galleryPath+imageName)
				)
				.append(
					$(document.createElement('a')).attr('href', '#').addClass('adcms-gallery-image-slider-preview-close')
					.append($(document.createElement('i')).addClass('icon-remove'))
				)
				.append(
					$(document.createElement('div')).addClass('adcms-gallery-image-slider-preview-info')
					// .append($(document.createElement('span')).addClass('adcms-gallery-image-slider-preview-info-title').html(imageName))
					.append($(document.createElement('span')).addClass('adcms-gallery-image-slider-preview-info-size').html(imageSize))
				)
		);
	},

	processGalleryImageInfoClose: function(galleryImage)
	{
		galleryImage.find('.adcms-gallery-image-slider-preview').remove();
	},

	processGalleryImageDelete: function(galleryImage)
	{
		var blockIndex = cmsbuilder.getBlockIndex(cmsbuilder.currentActiveBlock),
			containerIndex = cmsbuilder.getContainerIndex(cmsbuilder.getBlocksContainer(cmsbuilder.currentActiveBlock)),
			imageName = galleryImage.data('imageName');
			
		galleryImage.fadeOut('fast', function(){
			var img = $(this);
			
			$.post(
				window.location.href,
				{
					block_controller: 'AdvancedCmsBlockImageSlider',
					action: 'deleteGalleryImage',
					params: {
						gallery_image: imageName
					}
				},
				function(data)
				{
					if (typeof(data.status) != 'undefined') {
						if (data.status == 'success') {
							img.remove();
							
							if (typeof(cmsbuilder.blockData[containerIndex].items[blockIndex]) != 'undefined') {
								for (var i in cmsbuilder.blockData[containerIndex].items[blockIndex].content) {
									if (cmsbuilder.blockData[containerIndex].items[blockIndex].content[i].value == imageName) {
										delete(cmsbuilder.blockData[containerIndex].items[blockIndex].content[i]);
									}
								}
							}
						} else {
							img.fadeIn('fast');
						}
					}
				},
				'json'
			);
		});
	},
	tr: function(str)
    {
		if (typeof(adcmsTrans) != 'undefined' && str in adcmsTrans)
			return adcmsTrans[str];
		
		return str;
    },
}

$(function(){
	AdvancedCmsBlockImageSlider.init();
});