/**
 * Advancedcms
 *
 * @category  Module
 * @author    silbersaiten <info@silbersaiten.de>
 * @support   silbersaiten <support@silbersaiten.de>
 * @copyright 2015 silbersaiten
 * @version   1.0.4
 * @link      http://www.silbersaiten.de
 * @license   See joined file licence.txt
 */

var AdvancedCmsBlockManufacturerSlider = {
	init: function()
	{
		cmsbuilder.click('.delCmsManufacturer', function(){
			AdvancedCmsBlockManufacturerSlider.removeManufacturerFromSlider($(this).parents('.fancybox-inner:first'), parseInt($(this).data('languageId')), parseInt($(this).data('manufacturerId')));
		});
	},
	
    localLoad: function(containerIndex, blockIndex, fancyboxContents, blockData)
    {
		fancyboxContents.find('input[name=display_name][value=' + blockData.settings.display_name + ']').prop('checked', true);
		fancyboxContents.find('input[name=display_products_amount][value=' + blockData.settings.display_products_amount + ']').prop('checked', true);
		fancyboxContents.find('input[name=slides_to_show]').val(typeof(blockData.settings.slides_to_show) == 'undefined' ? 1 : blockData.settings.slides_to_show);
		
		if (blockData.settings.image_type)
			fancyboxContents.find('select[name=image_type]').val(blockData.settings.image_type);

		for (var i in blockData.content)
		{
			if (typeof(blockData.content[i].value) == 'object')
			{
				var input = fancyboxContents.find('input[name=manufacturer_slider_' + blockData.content[i].id_lang + ']'),
					wrapper,
					manufacturerIds,
					manufacturerNames,
					manufacturerImages,
					divManufacturers;
				
				if (input.length)
				{
					wrapper = input.parents('.mslider-wrapper:first');
					
					if (wrapper.length)
					{
						divManufacturers = wrapper.find('.selected_manufacturers');
						manufacturerIds = wrapper.find('.mslider-manufacturer-id');
						manufacturerNames = wrapper.find('.mslider-manufacturer-list');
						manufacturerImages = wrapper.find('.mslider-manufacturer-image');

						for (var y in blockData.content[i].value)
						{
							manufacturerIds.val(manufacturerIds.val().length ? manufacturerIds.val() + blockData.content[i].value[y].id_manufacturer + '-' : blockData.content[i].value[y].id_manufacturer + '-');
							manufacturerNames.val(manufacturerNames.val().length ? manufacturerNames.val() + blockData.content[i].value[y].name + '¤' : blockData.content[i].value[y].name + '¤');
							manufacturerImages.val(manufacturerImages.val().length ? manufacturerImages.val() + blockData.content[i].value[y].image + '¤' : blockData.content[i].value[y].image + '¤');
							
							divManufacturers.append(
								AdvancedCmsBlockManufacturerSlider.createMsliderBlock(
								blockData.content[i].value[y].id_manufacturer,
								blockData.content[i].value[y].image,
								blockData.content[i].value[y].name,
								parseInt(blockData.content[i].id_lang)
								)
							);
						}
					}
				}
			}
		}
    },
	
	localOpen: function(containerIndex, blockIndex, fancyboxContent)
	{
		var collection = fancyboxContent.find('input.mslider');
		
		if (collection.length)
		{
			collection.each(function(){
				AdvancedCmsBlockManufacturerSlider.initManufacturerSliderAutocomplete($(this));
			});
		}
	},
	
    localSave: function(containerIndex, blockIndex, fancyboxContent)
    {
		var displayProductsAmount = fancyboxContent.find('input[name=display_products_amount]:checked'),
			displayName  = fancyboxContent.find('input[name=display_name]:checked'),
			imageType    = fancyboxContent.find('select[name=image_type]').val(),
			collection   = fancyboxContent.find('div.mslider-wrapper'),
			slidesToShow = parseInt(fancyboxContent.find('input[name=slides_to_show]').val());
			
		slidesToShow = (isNaN(slidesToShow) || slidesToShow < 1) ? 1 : slidesToShow;
		
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings = {};
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['slides_to_show'] = slidesToShow;
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['display_products_amount'] = parseInt(displayProductsAmount.val());  
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['display_name'] = parseInt(displayName.val());
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['image_type'] = parseInt(imageType);
	
		if (collection.length)
		{
			cmsbuilder.blockData[containerIndex].items[blockIndex].content = {};
			
			collection.each(function(){
				var input = $(this).find('input.mslider'),
					idList = $(this).find('.mslider-manufacturer-id').val().split('-'),
					nameList = $(this).find('.mslider-manufacturer-list').val().split('¤'),
					imageList = $(this).find('.mslider-manufacturer-image').val().split('¤'),
					n = cmsbuilder.getLanguageInfoFromInputName(input.attr('name'));
				
				if (n)
				{
					if (!('lang_' + n.id_lang in cmsbuilder.blockData[containerIndex].items[blockIndex].content))
						cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + n.id_lang] = {id_lang: n.id_lang, value: []};
					
					for (var i in idList)
					{
						if (parseInt(idList[i]) > 0)
						{
							cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + n.id_lang].value.push({
								'id_lang': n.id_lang,
								'id_manufacturer': parseInt(idList[i]),
								'name': nameList[i],
								'image': imageList[i]
							});
						}
					}
				}
			});
		}
    },
	
    initManufacturerSliderAutocomplete: function(element){
		element
			.autocomplete(window.location.href, {
				minChars: 1,
				autoFill: true,
				max:20,
				matchContains: true,
				mustMatch:false,
				scroll:false,
				cacheLength:0,
				parse: function(data) {
					var parsed_data = [];
					if (data) {
						data = $.parseJSON(data);					
						
						for (i = 0; i < data.length; i++)
						{
							parsed_data[i] = {
								data: data[i],
								value: data[i].name,
								result: data[i].name
							}
						}
					}
		
					return parsed_data 
				},
				formatItem: function(item) {
					return item.name;
				}
			}).result(AdvancedCmsBlockManufacturerSlider.addManufacturerToSlider);
	
		element.setOptions({
			extraParams: {
				action: 'ajaxSearch',
				block_controller: 'AdvancedCmsBlockManufacturerSlider',
				params: {
					q: function(){
						return element.val();
					},
					excludeIds: AdvancedCmsBlockManufacturerSlider.getExcludedManufacturersFromInput(element)
				}
			}
		});
    },
	
    addManufacturerToSlider: function(event, data, formatted)
    {
		if (data == null)
			return false;
		
		var manufacturerId = data.id;
		var manufacturerName = data.name;
		var manufacturerImage = data.image;
		var input = $(event.target);
		var parentBlock = input.parents('.mslider-wrapper');
	
		var divProducts = parentBlock.find('.selected_manufacturers');
		var manufacturerIds = parentBlock.find('input[name=' + input.attr('name') + '_ids]');
		var manufacturerNames = parentBlock.find('input[name=' + input.attr('name') + '_manufacturers]');
		var manufacturerImages = parentBlock.find('input[name=' + input.attr('name') + '_image]');
	
		divProducts.append(AdvancedCmsBlockManufacturerSlider.createMsliderBlock(manufacturerId, manufacturerImage, manufacturerName, parseInt(parentBlock.data('languageId'))));
	
		manufacturerNames.val(manufacturerNames.val() + manufacturerName + '¤');
		manufacturerIds.val(manufacturerIds.val() + manufacturerId + '-');
		manufacturerImages.val(manufacturerImages.val() + manufacturerImage + '¤');

		input.setOptions({
			extraParams: {
				action: 'ajaxSearch',
				block_controller: 'AdvancedCmsBlockManufacturerSlider',
				params: {
					q: function(){
						return input.val();
					},
					excludeIds: AdvancedCmsBlockManufacturerSlider.getExcludedManufacturersFromString(manufacturerIds.val())
				}
			}
		});
		
		input.val('');
    },
	
    createMsliderBlock: function(manufacturerId, manufacturerImage, manufacturerName, languageId)
    {
		var manufacturerFormBlock = $(document.createElement('div')).addClass('form-control-static row').data('manufacturer-id', manufacturerId).attr('data-manufacturer-id', manufacturerId);
		
		manufacturerFormBlock.append(
			$(document.createElement('div')).addClass('col-lg-1')
			.append(
				$(document.createElement('button')).attr({'data-language-id': languageId, 'data-manufacturer-id': manufacturerId}).addClass('delCmsManufacturer btn btn-default').data('language-id', languageId).data('manufacturer-id', manufacturerId)
				.append($(document.createElement('i')).addClass('icon-remove text-danger'))
			)
		)
		
		manufacturerFormBlock.append(
			$(document.createElement('div')).addClass('col-lg-11')
			.append(
				manufacturerImage && manufacturerImage != 'false' ? $(document.createElement('img')).addClass('thumbnail').attr('src', manufacturerImage) : null
			)
			.append($(document.createElement('span')).text(manufacturerName))
		)
		
		return manufacturerFormBlock;
    },
    
    removeManufacturerFromSlider: function(fancyboxContent, languageId, manufacturerId)
    {
		var parent = fancyboxContent.find('.mslider-wrapper[data-language-id=' + languageId + ']');
		
		if (parent.length)
		{
			var div = parent.find('.selected_manufacturers');
			var manufacturerIds = parent.find('input.mslider-manufacturer-id');
			var manufacturerNames = parent.find('input.mslider-manufacturer-list');
			var manufacturerImages = parent.find('input.mslider-manufacturer-image');
			
			idList = manufacturerIds.val().split('-');
			nameList = manufacturerNames.val().split('¤');
			imageList = manufacturerImages.val().split('¤');
			
			manufacturerIds.val('');
			manufacturerNames.val('');
			manufacturerImages.val('');
			
			if (idList.length != nameList.length)
				return jAlert('Bad size');

			for (i in idList)
			{
				if (!idList[i] || !nameList[i])
					continue ;

				if (idList[i] == manufacturerId)
				{
					var target = div.find('.form-control-static').filter(function(){
						return ($(this).data('manufacturerId') == manufacturerId);
					});

					if (target.length)
						target.remove();
				}
				else
				{
					manufacturerIds.val(manufacturerIds.val() + idList[i] + '-');
					manufacturerNames.val(manufacturerNames.val() + nameList[i] + '¤');
					manufacturerImages.val(manufacturerImages.val() + imageList[i] + '¤');
				}
			}
			
			var element = parent.find('input.mslider');
			
			if (element.length) {
				element.setOptions({
					extraParams: {
						action: 'ajaxSearch',
						block_controller: 'AdvancedCmsBlockManufacturerSlider',
						params: {
							q: function(){
								return element.val();
							},
							excludeIds: AdvancedCmsBlockManufacturerSlider.getExcludedManufacturersFromString(manufacturerIds.val())
						}
					}
				});
			}
		}
    },
	
	getExcludedManufacturersFromInput: function(input)
	{
		var r = input.parents('.mslider-wrapper:first').find('input.mslider-manufacturer-id').val();
		
		return AdvancedCmsBlockManufacturerSlider.getExcludedManufacturersFromString(r);
	},
    
    getExcludedManufacturersFromString: function(str)
    {
		if (str && str.length)
			return str.replace(/\-/g,',');
		
		return '';
    },
}

$(function(){
	AdvancedCmsBlockManufacturerSlider.init();
});