/**
 * Advancedcms
 *
 * @category  Module
 * @author    silbersaiten <info@silbersaiten.de>
 * @support   silbersaiten <support@silbersaiten.de>
 * @copyright 2015 silbersaiten
 * @version   1.0.4
 * @link      http://www.silbersaiten.de
 * @license   See joined file licence.txt
 */

var AdvancedCmsBlockModule = {
	localSave: function(containerIndex, blockIndex, fancyboxContent)
	{
		var module = fancyboxContent.find('select[name=module]').val(),
			hook = fancyboxContent.find('input[name=hook]:checked').val();
		
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings = {};
		
		if (module && hook) {
			cmsbuilder.blockData[containerIndex].items[blockIndex].settings['module'] = module;
			cmsbuilder.blockData[containerIndex].items[blockIndex].settings['hook'] = hook;
		}
	},
	
    localLoad: function(containerIndex, blockIndex, fancyboxContents, blockData)
    {
		var selectedModule = typeof(blockData.settings.module) != 'undefined' ? blockData.settings.module : false,
			selectedHook = typeof(blockData.settings.hook) != 'undefined' ? blockData.settings.hook : false;
		
		var createHookContainer = function(hooks, fancyboxContents, selectedHook) {
			selectedHook = selectedHook || false;
			
			var hookContainer = $(document.createElement('ul')).addClass('hooks'),
				parent = fancyboxContents.find('.module_hook_list:first'),
				item;
			
			for (var i in hooks) {
				item = $(document.createElement('li')).addClass('hook_item')
						.append($(document.createElement('p')).addClass('radio')
							.append($(document.createElement('label')).text(hooks[i].name+(hooks[i].title ? ' ('+hooks[i].title+')' : ''))
								.prepend($(document.createElement('input')).attr({'type': 'radio', 'name': 'hook', 'value': hooks[i].name}).prop('checked', hooks[i].name == selectedHook))
							)
						);
						
				item.appendTo(hookContainer);
			}
			
			if (parent.length) {
				parent.find('.hide_when_module_selected').slideUp('fast');
				
				parent.append(hookContainer);
			}
		}
		
		var setSelectedHooks = function(selectedValue, selectedHook){
			selectedHook = selectedHook || false;
			
			if (typeof(module_hooks) != 'undefined' && typeof(module_hooks[selectedValue]) != 'undefined') {
				var hook_list = module_hooks[selectedValue],
					hook_container = fancyboxContents.find('.module_hook_list:first'),
					hook_ul = hook_container.find('ul.hooks');
					
				if (hook_ul.length) {
					hook_ul.slideUp('fast', function(){
						hook_ul.remove();
						createHookContainer(hook_list, fancyboxContents, selectedHook);
					});
				} else {
					createHookContainer(hook_list, fancyboxContents, selectedHook);
				}
			}
		}
		
		if (selectedModule) {
			fancyboxContents.find('select[name=module]').val(selectedModule);
			
			setSelectedHooks(selectedModule, selectedHook);
		}
		
		fancyboxContents.find('select[name=module]').change(function(){
			setSelectedHooks($(this).val());
		});
		
		for (var i in blockData.content)
		{
			var content = blockData.content[i].value;

			
		}
    },
}