/**
 * Advancedcms
 *
 * @category  Module
 * @author    silbersaiten <info@silbersaiten.de>
 * @support   silbersaiten <support@silbersaiten.de>
 * @copyright 2015 silbersaiten
 * @version   1.0.4
 * @link      http://www.silbersaiten.de
 * @license   See joined file licence.txt
 */

var AdvancedCmsBlockProduct = {
	init: function()
	{
		cmsbuilder.click('.delCmsProduct', function(){
			AdvancedCmsBlockProduct.removeProductFromBlockProduct($(this).parents('.fancybox-inner:first'), parseInt($(this).data('languageId')), parseInt($(this).data('productId')));
		});
	},
	
	localOpen: function(containerIndex, blockIndex, fancyboxContent)
    {
		var collection = fancyboxContent.find('input.block_product');
		
		if (collection.length)
		{
			collection.each(function(){
				AdvancedCmsBlockProduct.initProductAutocomplete($(this));
			});
		}
    },
	
    localSave: function(containerIndex, blockIndex, fancyboxContent)
    {
		var displayPrice = fancyboxContent.find('input[name=display_price]:checked'),
			displayName  = fancyboxContent.find('input[name=display_name]:checked'),
			displayCart  = fancyboxContent.find('input[name=display_cart_button]:checked'),
			displayStock = fancyboxContent.find('input[name=display_stock]:checked'),
			imageType    = fancyboxContent.find('select[name=image_type]').val(),
			collection   = fancyboxContent.find('div.block_product-wrapper');
		
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings = {};
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['display_price'] = parseInt(displayPrice.val());  
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['display_name'] = parseInt(displayName.val());
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['display_cart_button'] = parseInt(displayCart.val());
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['display_stock'] = parseInt(displayStock.val());
		cmsbuilder.blockData[containerIndex].items[blockIndex].settings['image_type'] = parseInt(imageType);
		console.log(collection);
		if (collection.length)
		{
			cmsbuilder.blockData[containerIndex].items[blockIndex].content = {};
			
			collection.each(function(){
				var input = $(this).find('input.block_product'),
					idList = $(this).find('.block_product-product-id').val().split('-'),
					nameList = $(this).find('.block_product-product-list').val().split('¤'),
					referenceList = $(this).find('.block_product-product-reference').val().split('¤'),
					imageList = $(this).find('.block_product-product-image').val().split('¤'),
					n = cmsbuilder.getLanguageInfoFromInputName(input.attr('name'));
				
				if (n)
				{
					if (!('lang_' + n.id_lang in cmsbuilder.blockData[containerIndex].items[blockIndex].content))
						cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + n.id_lang] = {id_lang: n.id_lang, value: []};
					console.log(idList);
					for (var i in idList)
					{
						if (parseInt(idList[i]) > 0)
						{
							cmsbuilder.blockData[containerIndex].items[blockIndex].content['lang_' + n.id_lang].value.push({
								'id_lang': n.id_lang,
								'id_product': parseInt(idList[i]),
								'name': nameList[i],
								'reference': referenceList[i],
								'image': imageList[i]
							});
						}
					}
				}
			});
		}
    },
	
    localLoad: function(containerIndex, blockIndex, fancyboxContents, blockData)
    {
		fancyboxContents.find('input[name=display_name][value=' + blockData.settings.display_name + ']').prop('checked', true);
		fancyboxContents.find('input[name=display_price][value=' + blockData.settings.display_price + ']').prop('checked', true);
		fancyboxContents.find('input[name=display_cart_button][value=' + blockData.settings.display_cart_button + ']').prop('checked', true);
		fancyboxContents.find('input[name=display_stock][value=' + blockData.settings.display_stock + ']').prop('checked', true);
		
		if (blockData.settings.image_type)
			fancyboxContents.find('select[name=image_type]').val(blockData.settings.image_type);

		for (var i in blockData.content)
		{
			if (typeof(blockData.content[i].value) == 'object')
			{
				var input = fancyboxContents.find('input[name=block_product_' + blockData.content[i].id_lang + ']'),
					wrapper,
					productIds,
					productNames,
					productReferences,
					productImages,
					divProducts;
				
				if (input.length)
				{
					wrapper = input.parents('.block_product-wrapper:first');
					
					if (wrapper.length)
					{
						divProducts = wrapper.find('.selected_products');
						productIds = wrapper.find('.block_product-product-id');
						productNames = wrapper.find('.block_product-product-list');
						productReferences = wrapper.find('.block_product-product-reference');
						productImages = wrapper.find('.block_product-product-image');
						
						for (var y in blockData.content[i].value)
						{
							productIds.val(productIds.val().length ? productIds.val() + blockData.content[i].value[y].id_product + '-' : blockData.content[i].value[y].id_product + '-');
							productNames.val(productNames.val().length ? productNames.val() + blockData.content[i].value[y].name + '¤' : blockData.content[i].value[y].name + '¤');
							productReferences.val(productReferences.val().length ? productReferences.val() + blockData.content[i].value[y].reference + '¤' : blockData.content[i].value[y].reference + '¤');
							productImages.val(productImages.val().length ? productImages.val() + blockData.content[i].value[y].image + '¤' : blockData.content[i].value[y].image + '¤');
							
							divProducts.append(
								AdvancedCmsBlockProduct.createProductBlock(
									blockData.content[i].value[y].id_product,
									blockData.content[i].value[y].image,
									blockData.content[i].value[y].name,
									blockData.content[i].value[y].reference,
									blockData.content[i].value[y].id_lang
								)
							);
						}
					}
				}
			}
		}
    },
	
    initProductAutocomplete: function(element){
		element
			.autocomplete(window.location.href, {
				minChars: 1,
				autoFill: true,
				max:20,
				matchContains: true,
				mustMatch:false,
				scroll:false,
				cacheLength:0,
				parse: function(data) {
					var parsed_data = [];
					if (data) {
						data = $.parseJSON(data);					
						
						for (i = 0; i < data.length; i++)
						{
							parsed_data[i] = {
								data: data[i],
								value: data[i].ref,
								result: data[i].name
							}
						}
					}
		
					return parsed_data 
				},
				formatItem: function(item) {
					return item.name+' - '+item.ref;
				}
			}).result(AdvancedCmsBlockProduct.addProductToBlockProduct);
	
		element.setOptions({
			extraParams: {
				action: 'ajaxSearch',
				block_controller: 'AdvancedCmsBlockProduct',
				params: {
					q: function(){
						return element.val();
					},
					excludeIds: AdvancedCmsBlockProduct.getExcludedProductsFromInput(element)
				}
			}
		});
    },
	
    addProductToBlockProduct: function(event, data, formatted)
    {
		if (data == null)
			return false;
		
		var productId = data.id;
		var productName = data.name;
		var productReference = data.ref;
		var productImage = data.image;
		var input = $(event.target);
		var parentBlock = input.parents('.block_product-wrapper');
	
		var divProducts = parentBlock.find('.selected_products');
		var productIds = parentBlock.find('input[name=' + input.attr('name') + '_ids]');
		var productNames = parentBlock.find('input[name=' + input.attr('name') + '_products]');
		var productReferences = parentBlock.find('input[name=' + input.attr('name') + '_reference]');
		var productImages = parentBlock.find('input[name=' + input.attr('name') + '_image]');
	
		divProducts.append(AdvancedCmsBlockProduct.createProductBlock(productId, productImage, productName, productReference, parseInt(parentBlock.data('languageId'))));
	
		productNames.val(productNames.val() + productName + '¤');
		productIds.val(productIds.val() + productId + '-');
		productReferences.val(productReferences.val() + productReference + '¤');
		productImages.val(productImages.val() + productImage + '¤');
		
		input.setOptions({
			extraParams: {
				action: 'ajaxSearch',
				block_controller: 'AdvancedCmsBlockProduct',
				params: {
					q: function(){
						return input.val();
					},
					excludeIds: AdvancedCmsBlockProduct.getExcludedProductsFromString(productIds.val())
				}
			}
		});
		
		input.val('');
    },
    
    createProductBlock: function(productId, productImage, productName, productReference, languageId)
    {
		var productFormBlock = $(document.createElement('div')).addClass('form-control-static row').data('product-id', productId).attr('data-product-id', productId);
		
		productFormBlock.append(
			$(document.createElement('div')).addClass('col-lg-1')
			.append(
				$(document.createElement('button')).addClass('delCmsProduct btn btn-default').data('language-id', languageId).data('product-id', productId).attr({'data-language-id': languageId, 'data-product-id': productId})
				.append($(document.createElement('i')).addClass('icon-remove text-danger'))
			)
		)
		
		productFormBlock.append(
			$(document.createElement('div')).addClass('col-lg-11')
			.append(
				productImage && productImage != 'false' ? $(document.createElement('img')).addClass('thumbnail').attr('src', productImage) : null
			)
			.append($(document.createElement('span')).text(productName+' ('+productReference+')'))
		)
		
		return productFormBlock;
    },
    
    removeProductFromBlockProduct: function(fancyboxContent, languageId, productId)
    {
		var parent = fancyboxContent.find('.block_product-wrapper[data-language-id=' + languageId + ']');
		
		if (parent.length)
		{
			var div = parent.find('.selected_products');
			var productIds = parent.find('input.block_product-product-id');
			var productNames = parent.find('input.block_product-product-list');
			var productReferences = parent.find('input.block_product-product-reference');
			var productImages = parent.find('input.block_product-product-image');
			
			idList = productIds.val().split('-');
			nameList = productNames.val().split('¤');
			referenceList = productReferences.val().split('¤');
			imageList = productImages.val().split('¤');
			
			productIds.val('');
			productNames.val('');
			productReferences.val('');
			productImages.val('');
			
			if (idList.length != nameList.length)
				return jAlert('Bad size');

			for (i in idList)
			{
				if (!idList[i] || !nameList[i])
					continue ;
				
				if (idList[i] == productId)
				{
					var target = div.find('.form-control-static').filter(function(){
						return ($(this).data('productId') == productId);
					});
					
					if (target.length)
						target.remove();
				}
				else
				{
					productIds.val(productIds.val() + idList[i] + '-');
					productNames.val(productNames.val() + nameList[i] + '¤');
					productReferences.val(productReferences.val() + referenceList[i] + '¤');
					productImages.val(productImages.val() + imageList[i] + '¤');
				}
			}
			
			var element = parent.find('input.block_product');
			
			if (element.length) {
				element.setOptions({
					extraParams: {
						action: 'ajaxSearch',
						block_controller: 'AdvancedCmsBlockProduct',
						params: {
							q: function(){
								return element.val();
							},
							excludeIds: AdvancedCmsBlockProduct.getExcludedProductsFromString(productIds.val())
						}
					}
				});
			}
		}
    },
	
	getExcludedProductsFromInput: function(input)
	{
		var r = input.parents('.block_product-wrapper:first').find('input.block_product-product-id').val();
		
		return AdvancedCmsBlockProduct.getExcludedProductsFromString(r);
	},
    
    getExcludedProductsFromString: function(str)
    {
		if (str && str.length)
			return str.replace(/\-/g,',');
		
		return '';
    },
}

$(function(){
	AdvancedCmsBlockProduct.init();
});