{**
* Advancedcms
*
* @category  Module
* @author    silbersaiten <info@silbersaiten.de>
* @support   silbersaiten <support@silbersaiten.de>
* @copyright 2016 silbersaiten
* @version   1.2.0
* @link      http://www.silbersaiten.de
* @license   See joined file licence.txt
*}

{extends file="helpers/list/list_footer.tpl"}

{block name="after"}
	<div class="row">
		<div class="col-lg-6">
			<form method="post" action="{$form_target|escape:'html':'UTF-8'}">
				<div class="panel">
					<div class="panel-heading">{l s='Export/Backup' mod='advancedcms'}</div>
					<div class="panel-body">
						{if isset($backup_download)}
							<div class="alert alert-success">
								{l s='Backup was successfully created!' mod='advancedcms'}
								<div>
									<a href="{$backup_download|escape:'quotes':'UTF-8'}" class="btn btn-success"><i class="icon icon-download"></i> {l s='Download' mod='advancedcms'}</a>
								</div>
							</div>
						{else if isset($backup_error)}
							<div class="alert alert-danger">{l s='Unable to create a backup' mod='advancedcms'}</div>
						{/if}
						<div class="form-group">
							<label class="control-label col-lg-3">{l s='Only Active:' mod='advancedcms'}</label>
							<div class="col-lg-9 ">
								<span class="switch prestashop-switch fixed-width-lg">
									<input type="radio" name="active" id="active_on" value="1" checked="checked">
									<label for="active_on">{l s='Yes' mod='advancedcms'}</label>
									<input type="radio" name="active" id="active_off" value="0">
									<label for="active_off">{l s='No' mod='advancedcms'}</label>
									<a class="slide-button btn"></a>
								</span>
								<p class="help-block">{l s='Select "yes" to export only active entries, otherwise all cms (both active and inactive) will be exported.' mod='advancedcms'}</p>
							</div>
						</div>
					</div>
					<div class="panel-footer">
						<button type="submit" name="submitAdvancedCmsBackup" class="btn btn-default pull-right">
							<i class="process-icon-export"></i>
							{l s='Export' mod='advancedcms'}
						</button>
					</div>
				</div>
			</form>
		</div>
		<div class="col-lg-6">
			<form method="post" action="{$form_target|escape:'html':'UTF-8'}" enctype="multipart/form-data">
				<div class="panel">
					<div class="panel-heading">{l s='Import' mod='advancedcms'}</div>
					<div class="panel-body">
						{if isset($success)}
							<div class="alert alert-success">{l s='Entries were restored from backup!' mod='advancedcms'}</div>
						{else if isset($restore_error)}
							<div class="alert alert-danger">{$restore_error|escape:'htmlall':'UTF-8'}</div>
						{/if}
						<div class="form-group">
							<label class="control-label col-lg-3">{l s='File:' mod='advancedcms'}</label>
							<div class="col-lg-9 ">
								<input type="file" class="form-control" name="backup_restore">
								<p class="help-block">{l s='Select your backup file. Note that all cms pages from the backup file will be restored as new, separate pages, existing pages will not be updated.' mod='advancedcms'}</p>
							</div>
						</div>
						<div class="form-group">
	                        <label class="control-label col-lg-3">Remove and add</label>
	                        <div class="col-lg-9 ">
	                            <!-- <input type="checkbox" name="remove" value="true"> -->
	                            <span class="switch prestashop-switch fixed-width-lg">
									<input type="radio" name="remove" id="remove_on" value="1">
									<label for="remove_on">{l s='Yes' mod='advancedcms'}</label>
									<input type="radio" name="remove" id="remove_off" value="0" checked="checked">
									<label for="remove_off">{l s='No' mod='advancedcms'}</label>
									<a class="slide-button btn"></a>
								</span>
	                            <p class="help-block">{l s='Please check it if you want to REMOVE (Warning!!!) current data and new data with same ID\'s of records from file. Otherwise new data just will be added to current one.' mod='advancedcms'}</p>
	                        </div>
	                    </div>
					</div>
					<div class="panel-footer">
						<button type="submit" name="submitAdvancedCmsRestore" class="btn btn-default pull-right">
							<i class="process-icon-import"></i>
							{l s='Import' mod='advancedcms'}
						</button>
					</div>
				</div>
			</form>
		</div>
	</div>
	{$smarty.block.parent}
{/block}
