{**
* Advancedcms
*
* @category  Module
* @author    silbersaiten <info@silbersaiten.de>
* @support   silbersaiten <support@silbersaiten.de>
* @copyright 2016 silbersaiten
* @version   1.2.0
* @link      http://www.silbersaiten.de
* @license   See joined file licence.txt
*}

<div class="form-wrapper bootstrap clearfix" id="block_settings_wrapper">
	<div class="form-group clearfix">
		<label class="control-label col-lg-3">{l s='Title' mod='advancedcms'}</label>
		<div class="col-lg-9 adcms-lang">
			{foreach $languages as $language}
				{if $languages|count > 1}
					<div class="form-group translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}"{if $language.id_lang != $defaultFormLanguage} style="display:none;"{/if}>
						<div class="col-lg-9">
				{/if}
						<input type="text" name="block_display_name_{$language.id_lang|escape:'htmlall':'UTF-8'}" class="form-control"></textarea>
					{if $languages|count > 1}
						</div>
						<div class="col-lg-2">
							<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
								{$language.iso_code|escape:'htmlall':'UTF-8'}
								<span class="caret"></span>
							</button>
							<ul class="dropdown-menu">
								{foreach from=$languages item=language}
								<li>
									<a href="javascript:hideOtherLanguage({$language.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$language.name|escape:'htmlall':'UTF-8'}</a>
								</li>
								{/foreach}
							</ul>
						</div>
					</div>
					{/if}
			{/foreach}
		</div>
		<div class="col-lg-9 col-lg-offset-3">
			<div class="help-block">
				{l s='This title will be displayed in the front end as block\'s heading.' mod='advancedcms'}
			</div>
		</div>
	</div>
	<div class="form-group clearfix">
		<label class="control-label col-lg-3">{l s='Reference' mod='advancedcms'}</label>
		<div class="col-lg-9">
			<input type="text" class="form-control fixed-width-xxl" name="block_reference" />
		</div>
		<div class="col-lg-9 col-lg-offset-3">
			<div class="help-block">
				{l s='Provide reference to this block. It will only be visible in the back office.' mod='advancedcms'}
			</div>
		</div>
	</div>
	<div class="form-group clearfix">
		<label class="control-label col-lg-3">{l s='CSS Class' mod='advancedcms'}</label>
		<div class="col-lg-9">
			<input type="text" class="form-control fixed-width-xxl" name="css_class" />
		</div>
		<div class="col-lg-9 col-lg-offset-3">
			<div class="help-block">
				{l s='Provide CSS class for this block. Multiple classes must be separated by space.' mod='advancedcms'}
			</div>
		</div>
	</div>
	{$block_contents|escape:'UTF-8'}
	<div class="form-group clearfix">
		<label id="copy_language_label" class="control-label col-lg-3">
			{l s='Copy to all languages' mod='advancedcms'}
		</label>
		<div class="col-lg-9">
			<button type="button" class="btn btn-primary btn-sm adcms-copy-all-language">{l s='Copy' mod='advancedcms'}</button>
			<p class="text-success" style="display: none; margin-top: 5px;">{l s='Operation completed. Please save changes.' mod='advancedcms'}</p>
		</div>
	</div>
	<div class="form-group clearfix">
		<label class="control-label col-lg-3">{l s='Active' mod='advancedcms'}</label>
		<div class="col-lg-9">
			<span class="switch prestashop-switch fixed-width-lg">
				<input type="radio" name="pactive" id="pactive_on" value="1" checked="checked"/>
				<label for="pactive_on">
					{l s='Yes' mod='advancedcms'}
				</label>
				<input type="radio" name="pactive" id="pactive_off" value="0"/>
				<label for="pactive_off">
					{l s='No' mod='advancedcms'}
				</label>
				<a class="slide-button btn"></a>
			</span>
			<div class="help-block">
				{l s='Enable or disable this block. Disabled blocks will be visible in the Back Office only.' mod='advancedcms'}
			</div>
		</div>
	</div>
	<div class="clearfix">
		<button type="button" class="btn btn-primary pull-right" id="blockDataSave">
			<i class="icon-floppy-o"></i>
			{l s='Save' mod='advancedcms'}
		</button>
	</div>
</div>