{**
* Advancedcms
*
* @category  Module
* @author    silbersaiten <info@silbersaiten.de>
* @support   silbersaiten <support@silbersaiten.de>
* @copyright 2016 silbersaiten
* @version   1.2.0
* @link      http://www.silbersaiten.de
* @license   See joined file licence.txt
*}
<div class="form-group clearfix" style="{if $vt == 't17'}display:none;{/if}">
	<label class="control-label col-lg-3">{l s='Easing' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<select name="easing" class="form-control">
			<option value="linear" selected="selected">{l s='Linear' mod='advancedcms'}</option>
			<option value="swing">{l s='Swing' mod='advancedcms'}</option>
		</select>
	</div>
	<div class="col-lg-9 col-lg-offset-3">
		<div class="help-block">{l s='Select an animation type for transition' mod='advancedcms'}</div>
	</div>
</div>
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Speed' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<div class="input-group fixed-width-lg">
			<input type="text" name="speed" value="500" />
			<span class="input-group-addon">{l s='ms' mod='advancedcms'}</span>
		</div>
	</div>
	<div class="col-lg-9 col-lg-offset-3">
		<div class="help-block">{l s='Enter transition speed, in milliseconds' mod='advancedcms'}</div>
	</div>
</div>
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Auto start' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<span class="switch prestashop-switch fixed-width-lg">
			<input type="radio" name="isauto" id="isauto_on" value="1"/>
			<label for="isauto_on">
				{l s='Yes' mod='advancedcms'}
			</label>
			<input type="radio" name="isauto" id="isauto_off" value="0" checked="checked"/>
			<label for="isauto_off">
				{l s='No' mod='advancedcms'}
			</label>
			<a class="slide-button btn"></a>
		</span>
		<div class="help-block">
			{l s='Run slider automatically?' mod='advancedcms'}
		</div>
	</div>
</div>
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Loop' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<span class="switch prestashop-switch fixed-width-lg">
			<input type="radio" name="isloop" id="isloop_on" value="1"/>
			<label for="isloop_on">
				{l s='Yes' mod='advancedcms'}
			</label>
			<input type="radio" name="isloop" id="isloop_off" value="0" checked="checked"/>
			<label for="isloop_off">
				{l s='No' mod='advancedcms'}
			</label>
			<a class="slide-button btn"></a>
		</span>
		<div class="help-block">
			{l s='If Yes, clicking "Next" while on the last slide will transition to the first slide and vice-versa' mod='advancedcms'}
		</div>
	</div>
</div>
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Upload an Image' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<input type="file" name="adcms_image" class="fileupload" />
		<div id="uploadContext"></div>
	</div>
</div>
<div class="adcms-gallery-slider form-group clearfix" data-gallery-path="{$gallery_path|escape:'quotes':'UTF-8'}">
	<label class="control-label col-lg-3">{l s='Gallery' mod='advancedcms'}</label>
	<div class="col-lg-12 adcms-lang">
		{foreach $languages as $language}
			{if $languages|count > 1}
				<div class="form-group translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}"{if $language.id_lang != $defaultFormLanguage} style="display:none;"{/if}>
					<div class="col-lg-10">
			{/if}
						<div class="adcms-gallery-lang-wrapper" rel="{$language.id_lang|escape:'htmlall':'UTF-8'}">
						{if $image_gallery && $image_gallery|@count}
							{foreach from=$image_gallery item=image}
								<div href="#" class="adcms-gallery-image-wrapper" data-image-name="{$image.original|escape:'htmlall':'UTF-8'}" data-image-size="{$image.size.0|escape:'htmlall':'UTF-8'} x {$image.size.1|escape:'htmlall':'UTF-8'}" data-language-id="{$language.id_lang|escape:'htmlall':'UTF-8'}">
									<div class="adcms-gallery-image-select-wrapper">
										<img src="{$gallery_path|escape:'quotes':'UTF-8'}{$image.thumb|escape:'quotes':'UTF-8'}" class="thumbnail" />
										<a href="#" class="adcms-gallery-image-slider-config"><i class="icon-eye"></i></a>
										<div class="adcms-gallery-image-checkbox">
											<p class="checkbox">
												<input type="checkbox" class="adcms-gallery-image-slider-checkbox" name="adcms-gallery-image-slider-checkbox" />
											</p>
										</div>
									</div>
									<div class="adcms-gallery-image-settings clearfix">
										<div class="col-lg-12">
											<input type="text" name="image_url" class="form-control" disabled="disabled" placeholder="{l s='Enter link' mod='advancedcms'}"/>
										</div>
									</div>
									<a href="#" class="adcms-gallery-image-slider-delete"><i class="icon-remove"></i></a>
								</div>
							{/foreach}
						{/if}
						</div>
				{if $languages|count > 1}
					</div>
					<div class="col-lg-2">
						<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
							{$language.iso_code|escape:'htmlall':'UTF-8'}
							<span class="caret"></span>
						</button>
						<ul class="dropdown-menu">
							{foreach from=$languages item=language}
							<li>
								<a href="javascript:hideOtherLanguage({$language.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$language.name|escape:'htmlall':'UTF-8'}</a>
							</li>
							{/foreach}
						</ul>
					</div>
				</div>
				{/if}
		{/foreach}
	</div>
</div>