{**
* Advancedcms
*
* @category  Module
* @author    silbersaiten <info@silbersaiten.de>
* @support   silbersaiten <support@silbersaiten.de>
* @copyright 2016 silbersaiten
* @version   1.2.0
* @link      http://www.silbersaiten.de
* @license   See joined file licence.txt
*}

<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Product' mod='advancedcms'}</label>
	<div class="col-lg-9 adcms-lang">
		{foreach $languages as $language}
			{if $languages|count > 1}
				<div class="form-group translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}"{if $language.id_lang != $defaultFormLanguage} style="display:none;"{/if}>
					<div class="col-lg-9">
			{/if}
						<div class="block_product-wrapper" data-language-id="{$language.id_lang|escape:'htmlall':'UTF-8'}">
							<input type="hidden" class="block_product-product-list" name="block_product_{$language.id_lang|escape:'htmlall':'UTF-8'}_products" />
							<input type="hidden" class="block_product-product-id" name="block_product_{$language.id_lang|escape:'htmlall':'UTF-8'}_ids" />
							<input type="hidden" class="block_product-product-reference" name="block_product_{$language.id_lang|escape:'htmlall':'UTF-8'}_reference" />
							<input type="hidden" class="block_product-product-image" name="block_product_{$language.id_lang|escape:'htmlall':'UTF-8'}_image" />
							<input type="text" class="form-control block_product" name="block_product_{$language.id_lang|escape:'htmlall':'UTF-8'}" />
							<div class="selected_products"></div>
						</div>
				{if $languages|count > 1}
					</div>
					<div class="col-lg-2">
						<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
							{$language.iso_code|escape:'htmlall':'UTF-8'}
							<span class="caret"></span>
						</button>
						<ul class="dropdown-menu">
							{foreach from=$languages item=language}
							<li>
								<a href="javascript:hideOtherLanguage({$language.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$language.name|escape:'htmlall':'UTF-8'}</a>
							</li>
							{/foreach}
						</ul>
					</div>
				</div>
				{/if}
		{/foreach}
	</div>
</div>
{if $product_image_types}
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Image Size' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<select name="image_type">
		{foreach from=$product_image_types item=product_image_type}
			<option value="{$product_image_type.id_image_type|escape:'htmlall':'UTF-8'}">{$product_image_type.name|escape:'htmlall':'UTF-8'} ({$product_image_type.width|escape:'htmlall':'UTF-8'}x{$product_image_type.height|escape:'htmlall':'UTF-8'} {l s='px' mod='advancedcms'})</option>
		{/foreach}
		</select>
	</div>
</div>
{/if}
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Display Price' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<span class="switch prestashop-switch fixed-width-lg">
			<input type="radio" name="display_price" id="display_price_on" value="1" checked="checked"/>
			<label for="display_price_on">
				{l s='Yes' mod='advancedcms'}
			</label>
			<input type="radio" name="display_price" id="display_price_off" value="0"/>
			<label for="display_price_off">
				{l s='No' mod='advancedcms'}
			</label>
			<a class="slide-button btn"></a>
		</span>
	</div>
</div>
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Display Name' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<span class="switch prestashop-switch fixed-width-lg">
			<input type="radio" name="display_name" id="display_name_on" value="1" checked="checked"/>
			<label for="display_name_on">
				{l s='Yes' mod='advancedcms'}
			</label>
			<input type="radio" name="display_name" id="display_name_off" value="0"/>
			<label for="display_name_off">
				{l s='No' mod='advancedcms'}
			</label>
			<a class="slide-button btn"></a>
		</span>
	</div>
</div>
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Display "Add to Cart"' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<span class="switch prestashop-switch fixed-width-lg">
			<input type="radio" name="display_cart_button" id="display_cart_button_on" value="1" checked="checked"/>
			<label for="display_cart_button_on">
				{l s='Yes' mod='advancedcms'}
			</label>
			<input type="radio" name="display_cart_button" id="display_cart_button_off" value="0"/>
			<label for="display_cart_button_off">
				{l s='No' mod='advancedcms'}
			</label>
			<a class="slide-button btn"></a>
		</span>
	</div>
</div>
<div class="form-group clearfix">
	<label class="control-label col-lg-3">{l s='Display "Availability"' mod='advancedcms'}</label>
	<div class="col-lg-9">
		<span class="switch prestashop-switch fixed-width-lg">
			<input type="radio" name="display_stock" id="display_stock_on" value="1" checked="checked"/>
			<label for="display_stock_on">
				{l s='Yes' mod='advancedcms'}
			</label>
			<input type="radio" name="display_stock" id="display_stock_off" value="0"/>
			<label for="display_stock_off">
				{l s='No' mod='advancedcms'}
			</label>
			<a class="slide-button btn"></a>
		</span>
	</div>
</div>