{**
* Advancedcms
*
* @category  Module
* @author    silbersaiten <info@silbersaiten.de>
* @support   silbersaiten <support@silbersaiten.de>
* @copyright 2016 silbersaiten
* @version   1.2.0
* @link      http://www.silbersaiten.de
* @license   See joined file licence.txt
*}

{if isset($product_list)}
<div class="adcms-slider-wrapper adcms-product-slider clearfix">
	<ul class="bxslider clearfix" data-slides-to-show="{if isset($settings.slides_to_show)}{$settings.slides_to_show|escape:'htmlall':'UTF-8'}{else}1{/if}">
	{foreach from=$product_list item='pslider_product' name=pslider_product}
		<li class="product-box product-container item">
			<a href="{$pslider_product.ad_link|escape:'quotes':'UTF-8'}" class="lnk_img product-image" title="{$pslider_product.name|htmlspecialchars|escape:'htmlall':'UTF-8'}">
				<img src="{$pslider_product.image_link|escape:'quotes':'UTF-8'}" alt="{$pslider_product.name|htmlspecialchars|escape:'htmlall':'UTF-8'}" />
			</a>
			
			{if isset($settings.display_name) && $settings.display_name == 1}
				<h5 itemprop="name" class="product-name">
					<a href="{$pslider_product.ad_link|escape:'quotes':'UTF-8'}" title="{$pslider_product.name|htmlspecialchars}">{$pslider_product.name|truncate:14:'...'|escape:'html':'UTF-8'}</a>
				</h5>
			{/if}
			
			{if (isset($settings.display_price) && $settings.display_price == 1) && $pslider_product.show_price == 1 && !isset($restricted_country_mode) && !$catalog_mode}
				<div class="content_price" itemprop="offers" itemscope itemtype="http://schema.org/Offer">
					<span itemprop="price" class="price product-price">
						{if !$price_display}{$pslider_product.price_cur|escape:'html':'UTF-8'}{else}{$pslider_product.price_tax_exc_cur|escape:'html':'UTF-8'}{/if}
					</span>
					<meta itemprop="priceCurrency" content="{$currency->iso_code|escape:'htmlall':'UTF-8'}" />
					{hook h="displayProductPriceBlock" product=$pslider_product type="price"}
					
					{if isset($pslider_product.specific_prices) && $pslider_product.specific_prices && isset($pslider_product.specific_prices.reduction) && $pslider_product.specific_prices.reduction > 0}
						<p>
						{hook h="displayProductPriceBlock" product=$pslider_product type="old_price"}
						<span class="old-price product-price">
							{$pslider_product.price_wr_cur|escape:'html':'UTF-8'}
						</span>
						{if $pslider_product.specific_prices.reduction_type == 'percentage'}
							<span class="price-percent-reduction">-{$pslider_product.specific_prices.reduction * 100|escape:'htmlall':'UTF-8'}%</span>
						{/if}
						</p>
					{/if}
					
					{if (isset($settings.display_stock) && $settings.display_stock == 1)}
					{if $stock_manag && isset($pslider_product.available_for_order) && $pslider_product.available_for_order && !isset($restricted_country_mode)}
						{if ($pslider_product.allow_oosp || $pslider_product.quantity > 0)}
							<link itemprop="availability" href="http://schema.org/InStock" />{if $pslider_product.quantity <= 0}{if $pslider_product.allow_oosp}{if isset($pslider_product.available_later) && $pslider_product.available_later}{$pslider_product.available_later|escape:'htmlall':'UTF-8'}{else}{l s='In Stock' mod='advancedcms'}{/if}{else}{l s='Out of stock' mod='advancedcms'}{/if}{else}{if isset($pslider_product.available_now) && $pslider_product.available_now}{$pslider_product.available_now|escape:'htmlall':'UTF-8'}{else}{l s='In Stock' mod='advancedcms'}{/if}{/if}
						{elseif (isset($pslider_product.quantity_all_versions) && $pslider_product.quantity_all_versions > 0)}
							<link itemprop="availability" href="http://schema.org/LimitedAvailability" />{l s='Product available with different options' mod='advancedcms'}
						{else}
							<link itemprop="availability" href="http://schema.org/OutOfStock" />{l s='Out of stock' mod='advancedcms'}
						{/if}
					{/if}
					{/if}
					{hook h="displayProductPriceBlock" product=$pslider_product type="weight" hook_origin='product_sheet'}
                    {hook h="displayProductPriceBlock" product=$pslider_product type="after_price"}
				</div>
			{/if}
			<div class="clearfix" style="margin-top:5px">
				{if (isset($settings.display_cart_button) && $settings.display_cart_button == 1) && !$catalog_mode && ($pslider_product.allow_oosp || $pslider_product.quantity > 0)}
					<div class="no-print">
						<a class="exclusive button ajax_add_to_cart_button" href="$pslider_product.cart_link|escape:'quotes':'UTF-8'}" data-id-product="{$pslider_product.id_product|intval}" title="{l s='Add to cart' mod='advancedcms'}">
							<span>{l s='Add to cart' mod='advancedcms'}</span>
						</a>
					</div>
				{/if}
			</div>
		</li>
    {/foreach}
	</ul>
</div>
{/if}