{**
* Advancedcms
*
* @category  Module
* @author    silbersaiten <info@silbersaiten.de>
* @support   silbersaiten <support@silbersaiten.de>
* @copyright 2016 silbersaiten
* @version   1.2.0
* @link      http://www.silbersaiten.de
* @license   See joined file licence.txt
*}

{if isset($product_list)}
<div class="adcms-product clearfix">
	<ul class="clearfix" data-slides-to-show="{if isset($settings.slides_to_show)}{$settings.slides_to_show}{else}1{/if}">
	{foreach from=$product_list item='adcms_product' name=adcms_product}
		<li class="product-box product-container item">
			<a href="{$adcms_product.ad_link nofilter}" class="lnk_img product-image" title="{$adcms_product.name|htmlspecialchars}">
				<img src="{$adcms_product.image_link nofilter}" alt="{$adcms_product.name|htmlspecialchars}" />
			</a>
			
			{if isset($settings.display_name) && $settings.display_name == 1}
				<h5 itemprop="name" class="product-name">
					<a href="{$adcms_product.ad_link nofilter}" title="{$adcms_product.name|htmlspecialchars}">{$adcms_product.name|truncate:14:'...'}</a>
				</h5>
			{/if}
			
			{if (isset($settings.display_price) && $settings.display_price == 1) && $adcms_product.show_price == 1 && !isset($restricted_country_mode) && !$catalog_mode}
				<div class="content_price" itemprop="offers" itemscope itemtype="http://schema.org/Offer">
					<span itemprop="price" class="price product-price">
						{if !$price_display}{$adcms_product.price_cur}{else}{$adcms_product.price_tax_exc_cur}{/if}
					</span>
					<meta itemprop="priceCurrency" content="{$currency->iso_code}" />
					{hook h="displayProductPriceBlock" product=$adcms_product type="price"}
					
					{if isset($adcms_product.specific_prices) && $adcms_product.specific_prices && isset($adcms_product.specific_prices.reduction) && $adcms_product.specific_prices.reduction > 0}
						<p>
						{hook h="displayProductPriceBlock" product=$adcms_product type="old_price"}
						<span class="old-price product-price">
							{$adcms_product.price_wr_cur}
						</span>
						{if $adcms_product.specific_prices.reduction_type == 'percentage'}
							<span class="price-percent-reduction">-{$adcms_product.specific_prices.reduction * 100}%</span>
						{/if}
						</p>
					{/if}
					
					{if (isset($settings.display_stock) && $settings.display_stock == 1)}
					{if $stock_manag && isset($adcms_product.available_for_order) && $adcms_product.available_for_order && !isset($restricted_country_mode)}
						{if ($adcms_product.allow_oosp || $adcms_product.quantity > 0)}
							<link itemprop="availability" href="http://schema.org/InStock" />{if $adcms_product.quantity <= 0}{if $adcms_product.allow_oosp}{if isset($adcms_product.available_later) && $adcms_product.available_later}{$adcms_product.available_later}{else}{l s='In Stock' mod='advancedcms'}{/if}{else}{l s='Out of stock' mod='advancedcms'}{/if}{else}{if isset($adcms_product.available_now) && $adcms_product.available_now}{$adcms_product.available_now}{else}{l s='In Stock' mod='advancedcms'}{/if}{/if}
						{elseif (isset($adcms_product.quantity_all_versions) && $adcms_product.quantity_all_versions > 0)}
							<link itemprop="availability" href="http://schema.org/LimitedAvailability" />{l s='Product available with different options' mod='advancedcms'}
						{else}
							<link itemprop="availability" href="http://schema.org/OutOfStock" />{l s='Out of stock' mod='advancedcms'}
						{/if}
					{/if}
					{/if}
					{hook h="displayProductPriceBlock" product=$adcms_product type="weight" hook_origin='product_sheet'}
                    {hook h="displayProductPriceBlock" product=$adcms_product type="after_price"}
				</div>
			{/if}
			<div class="clearfix" style="margin-top:5px">
				{if (isset($settings.display_cart_button) && $settings.display_cart_button == 1) && !$catalog_mode && ($adcms_product.allow_oosp || $adcms_product.quantity > 0)}
					<div class="no-print">
						<a class="exclusive button ajax_add_to_cart_button" href="{$adcms_product.cart_link nofilter}" data-id-product="{$adcms_product.id_product|intval}" title="{l s='Add to cart' mod='advancedcms'}">
							<span>{l s='Add to cart' mod='advancedcms'}</span>
						</a>
					</div>
				{/if}
			</div>
		</li>
    {/foreach}
	</ul>
</div>
{/if}