{**
* Advancedcms
*
* @category  Module
* @author    silbersaiten <info@silbersaiten.de>
* @support   silbersaiten <support@silbersaiten.de>
* @copyright 2016 silbersaiten
* @version   1.2.0
* @link      http://www.silbersaiten.de
* @license   See joined file licence.txt
*}

{if isset($product_list)}
<div id="carousel-adcms-product-slider-{$settings.id_block}" data-ride="carousel" class="carousel slide hidden-sm-down adcms-slider-wrapper adcms-product-slider" data-interval="false" data-slides-to-show="{if isset($settings.slides_to_show)}{$settings.slides_to_show}{else}1{/if}">
    <ul class="carousel-inner" role="listbox">
        {foreach from=$product_list item='pslider_product' name=pslider_product}
        <li class="carousel-item {if $smarty.foreach.pslider_product.first}active{/if}">
            <a href="{$pslider_product.ad_link nofilter}" class="lnk_img product-image" title="{$pslider_product.name|htmlspecialchars}">
				<img src="{$pslider_product.image_link nofilter}" alt="{$pslider_product.name|htmlspecialchars}" />
			</a>
			
			{if isset($settings.display_name) && $settings.display_name == 1}
				<h5 itemprop="name" class="product-name">
					<a href="{$pslider_product.ad_link nofilter}" title="{$pslider_product.name|htmlspecialchars}">{$pslider_product.name|truncate:14:'...'}</a>
				</h5>
			{/if}
			
			{if (isset($settings.display_price) && $settings.display_price == 1) && $pslider_product.show_price == 1 && !isset($restricted_country_mode) && !$catalog_mode}
				<div class="content_price" itemprop="offers" itemscope itemtype="http://schema.org/Offer">
					<span itemprop="price" class="price product-price">
						{if !$price_display}{$pslider_product.price_cur}{else}{$pslider_product.price_tax_exc_cur}{/if}
					</span>
					<meta itemprop="priceCurrency" content="{$currency->iso_code}" />
					{hook h="displayProductPriceBlock" product=$pslider_product type="price"}
					
					{if isset($pslider_product.specific_prices) && $pslider_product.specific_prices && isset($pslider_product.specific_prices.reduction) && $pslider_product.specific_prices.reduction > 0}
						<p>
						{hook h="displayProductPriceBlock" product=$pslider_product type="old_price"}
						<span class="old-price product-price">
							{$pslider_product.price_wr_cur}
						</span>
						{if $pslider_product.specific_prices.reduction_type == 'percentage'}
							<span class="price-percent-reduction">-{$pslider_product.specific_prices.reduction * 100}%</span>
						{/if}
						</p>
					{/if}
					
					{if (isset($settings.display_stock) && $settings.display_stock == 1)}
					{if $stock_manag && isset($pslider_product.available_for_order) && $pslider_product.available_for_order && !isset($restricted_country_mode)}
						{if ($pslider_product.allow_oosp || $pslider_product.quantity > 0)}
							<link itemprop="availability" href="http://schema.org/InStock" />{if $pslider_product.quantity <= 0}{if $pslider_product.allow_oosp}{if isset($pslider_product.available_later) && $pslider_product.available_later}{$pslider_product.available_later}{else}{l s='In Stock' mod='advancedcms'}{/if}{else}{l s='Out of stock' mod='advancedcms'}{/if}{else}{if isset($pslider_product.available_now) && $pslider_product.available_now}{$pslider_product.available_now}{else}{l s='In Stock' mod='advancedcms'}{/if}{/if}
						{elseif (isset($pslider_product.quantity_all_versions) && $pslider_product.quantity_all_versions > 0)}
							<link itemprop="availability" href="http://schema.org/LimitedAvailability" />{l s='Product available with different options' mod='advancedcms'}
						{else}
							<link itemprop="availability" href="http://schema.org/OutOfStock" />{l s='Out of stock' mod='advancedcms'}
						{/if}
					{/if}
					{/if}
					{hook h="displayProductPriceBlock" product=$pslider_product type="weight" hook_origin='product_sheet'}
                    {hook h="displayProductPriceBlock" product=$pslider_product type="after_price"}
				</div>
			{/if}
			<div class="clearfix" style="margin-top:5px">
				{if (isset($settings.display_cart_button) && $settings.display_cart_button == 1) && !$catalog_mode && ($pslider_product.allow_oosp || $pslider_product.quantity > 0)}
					<div class="no-print">
						<a class="exclusive button ajax_add_to_cart_button" href="{$pslider_product.cart_link nofilter}" data-id-product="{$pslider_product.id_product|intval}" title="{l s='Add to cart' mod='advancedcms'}">
							<span>{l s='Add to cart' mod='advancedcms'}</span>
						</a>
					</div>
				{/if}
			</div>
        </li>
    	{/foreach}

    </ul>
    <div class="direction">
        <a class="left carousel-control" href="#carousel-adcms-product-slider-{$settings.id_block}" role="button" data-slide="prev">
            <span class="icon-prev hidden-xs" aria-hidden="true">
                <i class="material-icons">&#xE5CB;</i>
            </span>
            <span class="sr-only">{l s='Previous' mod='advancedcms'}</span>
        </a>
        <a class="right carousel-control" href="#carousel-adcms-product-slider-{$settings.id_block}" role="button" data-slide="next">
            <span class="icon-next" aria-hidden="true">
                <i class="material-icons">&#xE5CC;</i>
            </span>
            <span class="sr-only">{l s='Next' mod='advancedcms'}</span>
        </a>
    </div>
</div>

{/if}