<?php
/*
* Webtotal - a module template for Prestashop v1.5+
* Copyright (C) 2016 Webtotal
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

if (!defined('_PS_VERSION_')){
     exit;
}

class BlockWebtotalHistorique extends Module{
	public function __construct(){
		$this->name = 'blockwebtotalhistorique';
		$this->tab = 'front_office_features';
		$this->version = '1.0';
		$this->author = 'Webtotal';
		$this->need_instance = 0;
		$this->ps_versions_compliancy = array('min' => '1.5', 'max' => '1.6');
        $this->bootstrap = true;
		// $this->dependencies = array('blockcart');

		parent::__construct();

		$this->displayName = $this->l('Webtotal - Historique');
		$this->description = $this->l('Module Historique');

		$this->confirmUninstall = $this->l('Êtes-vous certain de vouloir désinstaller?');
	}

	/**
 	 * install
	 */
	public function install(){
		if (!parent::install() ||
			!$this->registerHook('displayHome') ||
			!$this->registerHook('displayHeader') ||
			!$this->registerHook('displayBackOfficeHeader') ||
			!$this->registerHook('displayAdminHomeQuickLinks'))
			return false;
		return true;
	}

	/**
 	 * uninstall
	 */
	public function uninstall(){
        if (!parent::uninstall()) {
            return FALSE;
        }

        return TRUE;
	}

	/**
 	 * admin page
	 */
	public function getContent(){
		return $this->display(__FILE__, 'views/templates/admin/blockwebtotalhistorique.tpl');
	}

	// BACK OFFICE HOOKS

	/**
 	 * admin <head> Hook
	 */
	public function hookDisplayBackOfficeHeader(){
		// CSS
		//$this->context->controller->addCSS($this->_path.'views/css/elusive-icons/elusive-webfont.css');
		// JS
		//$this->context->controller->addJS($this->_path.'views/js/blockwebtotalhistorique.js');
	}

	/**
	 * Hook for back office dashboard
	 */
	public function hookDisplayAdminHomeQuickLinks(){
		$this->context->smarty->assign('blockwebtotalhistorique', $this->name);
	    return $this->display(__FILE__, 'views/templates/hooks/quick_links.tpl');
	}

	// FRONT OFFICE HOOKS

	/**
 	 * <head> Hook
	 */
	public function hookDisplayHeader(){
		// CSS
		//$this->context->controller->addCSS($this->_path.'views/css/'.$this->name.'.css');
		// JS
		//$this->context->controller->addJS($this->_path.'views/js/'.$this->name.'.js');
	}

	/**
 	 * Top of pages hook
	 */
	public function hookDisplayTop($params){
		return $this->hookDisplayHome($params);
	}

    /**
    *displayNav hook
    */
    public function hookDisplayNav($params){
		return $this->hookDisplayHome($params);
	}

	/**
 	 * Home page hook
	 */
	public function hookDisplayHome($params){
        $id_shop = (int)$this->context->shop->id;
        $this->context->smarty->assign('id_shop', $id_shop);

		return $this->display(__FILE__, 'views/templates/hooks/home.tpl');
	}

	/**
 	 * Left Column Hook
	 */
	public function hookDisplayRightColumn($params){
		return $this->hookDisplayHome($params);
	}

	/**
 	 * Right Column Hook
	 */
	public function hookDisplayLeftColumn($params){
	 	return $this->hookDisplayHome($params);
	}

	/**
 	 * Footer hook
	 */
	public function hookDisplayFooter($params){
		return $this->hookDisplayHome($params);
	}
}
?>
