/**
 * 2007-2020 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    FMM Modules
 *  @copyright FMM Modules
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

$(document).ready(function() {
    $('#geoipban_table').DataTable({
        responsive: true
    });
    $('#geoipban_table2').DataTable({
        responsive: true
    });
    var seleted_option = $('#BLOCKING_OPTION').children("option:selected").val();
    var seleted_msg_option = $('#BLOCKING_MSG_OPTION').children("option:selected").val();
    if (seleted_option == 'fmm_block_ips') {
        $('#black_ip').show();
        $('.coun').hide();
    } else {
        $('#black_ip').hide();
        $('.coun').show();
    }

    $('#BLOCKING_OPTION').change(function() {
        var blocking_option = $(this).val();
        if (blocking_option == 'fmm_block_country') {
            $('#black_ip').hide();
            $('.coun').show();
        } else {
            $('#black_ip').show();
            $('.coun').hide();
        }
    });

    if (seleted_msg_option == 'fmm_msg') {
        $('#url').hide();
        $('#msg').show();
    } else {
        $('#url').show();
        $('#msg').hide();
    }

    $('#BLOCKING_MSG_OPTION').change(function() {
        var blocking_option = $(this).val();
        if (blocking_option == 'fmm_msg') {
            $('#url').hide();
            $('#msg').show();
        } else {
            $('#url').show();
            $('#msg').hide();
        }
    });
    addFileJs();
    var currentFormTab = 'block_ip';
    $('.ip_tab').hide();
    $('.tab-page').removeClass('selected');
    $('#ip_' + currentFormTab).show();
    $('#ip_link_' + currentFormTab).addClass('selected');
});

function blockips(ip) {
    $.ajax({
        url: form_url,
        //type        : "POST",
        dataType: "json",
        cache: false,
        data: {
            ajax: true,
            action: 'blockVisitorIP',
            ip: ip,
        },
        success: function(result) {
            if (result) {
                $("#online_" + ip).remove();
                showSuccessMessage('Visitor is blocked');
                window.location = window.location;
            }
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
            showErrorMessage('Not Blocked');
        }
    });
}

function unblockips(ip) {
    $.ajax({
        url: form_url,
        dataType: "json",
        cache: false,
        data: {
            ajax: true,
            action: 'unBlockVisitorIP',
            ip: ip,
        },
        success: function(result) {
            console.log(result);
            showSuccessMessage('Visitor is unblocked');
            window.location = window.location;

        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
            showErrorMessage('Not Blocked');
        }
    });
}

function addFileJs() {
    setTimeout(function() {
        tinyMCE.init({
            selector: ".autoload_rte",
            theme: "advanced",
            plugins: "",
            theme_advanced_buttons1: "newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect",
            theme_advanced_buttons2: "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,forecolor,backcolor",
            theme_advanced_buttons3: "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,media,|,ltr,rtl,|,fullscreen",
            theme_advanced_buttons4: "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,pagebreak",
            theme_advanced_toolbar_location: "top",
            theme_advanced_toolbar_align: "left",
            theme_advanced_statusbar_location: "bottom",
            theme_advanced_resizing: false,
            width: "600",
            height: "auto",
            font_size_style_values: "8pt, 10pt, 12pt, 14pt, 18pt, 24pt, 36pt",
            template_external_list_url: "lists/template_list.js",
            external_link_list_url: "lists/link_list.js",
            external_image_list_url: "lists/image_list.js",
            media_external_list_url: "lists/media_list.js",
            elements: "nourlconvert",
            entity_encoding: "raw",
            convert_urls: false,
            language: iso_tiny_mce
        });
    }, 3000);
}

function displayIpBanNavTab(tab) {
    $('.ip_tab').hide();
    $('.tab-page').removeClass('selected');
    $('#ip_' + tab).show();
    $('#ip_link_' + tab).addClass('selected');
    $('#currentFormTab').val(tab);
}