{*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author    FMM Modules
* @copyright FMM Modules
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
* @package   GEO IP BAN
*}

<div class="panel" id="fieldset_0">
	<div class="panel-heading">
		<span>
			<i class="icon icon-cogs"></i>
			{l s='BLOCK IP OR ACL' mod='geoipban'}
		</span>
	</div>
	<div class="form-wrapper">
		<div class="form-group">
			<label class="control-label col-sm-4" >{l s='Select option for Blocking' mod='geoipban'}</label>
			<div class="col-sm-6">
				<select name="BLOCKING_OPTION" class="form-control" id="BLOCKING_OPTION">
					<option value="fmm_block_ips" {if !empty($blocking_option) && $blocking_option == 'fmm_block_ips'} selected {/if}>{l s='Block Through IPs ' mod='geoipban'}</option>	
					<option value="fmm_block_country" {if !empty($blocking_option) && $blocking_option == 'fmm_block_country'} selected {/if}>{l s='Block Through Country' mod='geoipban'}</option>	
				</select>
			</div>
		</div>

		<div class="form-group">
			<label class="control-label col-sm-4">
				{l s='Select Method For Blocking' mod='geoipban'}
			</label>
			<div class="col-sm-6">
				<select name="BLOCKING_METHOD_OPTION" id="BLOCKING_METHOD_OPTION" class="form-control">
					<option value="fmm_api" {if !empty($method_option) && $msg_option == 'fmm_api'} selected {/if}>{l s='API Based' mod='geoipban'}</option>
					<option value="fmm_file" {if !empty($method_option) && $method_option == 'fmm_file'} selected {/if}>{l s='File Based' mod='geoipban'}</option>
					
				</select>
			</div>
		</div>

		<div class="form-group margin-form coun">
		<label class="col-lg-4 control-label">{l s='Select countries' mod='geoipban'}</label>
		<div class="margin-form col-lg-6" style="height: 300px; overflow-y: auto;margin-bottom: 22px;">
			<table class="table table-bordered std">
				<thead>
					<tr>
						<th><input type="checkbox" name="checkAll" onclick="checkDelBoxes(this.form, 'countries[]', this.checked)" /></th>
						<th></th>
						<th></th>
						<th></th>
						<th style="font-weight:bold">{l s='Name' mod='geoipban'}</th>
					</tr>
				</thead>
				<tbody>
					{foreach $list as $country}
					<tr>
						<td class="filterable-cell">
							<input type="checkbox" name="countries[]" value="{$country.iso_code|escape:'htmlall':'UTF-8'}" {if isset($selectd_countri) AND $selectd_countri AND in_array($country.iso_code, $selectd_countri)} checked="checked"{/if}>
						</td>
						<td></td>
						<td></td>
						<td></td>
						<td>{$country.name|escape:'htmlall':'UTF-8'}</td>
					</tr>
					{/foreach}
				</tbody>
			</table>
		</div>
		<div class="col-lg-9">
			<p class="help-block" style="text-align: center;">
				{l s='Select Countries which you want to block' mod='geoipban'}
			</p>
		</div>
	</div>

	<div class="form-group coun" id="BLOCKING_OPTION_WHITE_IPS" >
			<label class="control-label col-sm-4">{l s='Enter WHITE List IPs' mod='geoipban'}</label>
			<div class="col-sm-6">
				<textarea name="BLOCKING_OPTION_WHITE_IPS" class="form-control" rows="7" class="textarea-autosize">{if !empty($white_ip|escape:'htmlall':'UTF-8')}{$white_ip|escape:'htmlall':'UTF-8'}{/if}</textarea>
			<p class="help-block">
			{l s='Enter IPs you want to allow from Blocked Countries. Without space and Separeted by (,)' mod='geoipban'}
		</p>
			</div>
		</div>
		<div class="form-group" id="black_ip" >
			<label class="control-label col-sm-4">{l s='Enter Black List IPs' mod='geoipban'}</label>
			<div class="col-sm-6" id="BLOCKING_OPTION_BLACK_IP">
				<textarea name="BLOCKING_OPTION_BLACK_IPS" class="form-control" rows="7" class="textarea-autosize">{if !empty($black_ip|escape:'htmlall':'UTF-8')}{$black_ip|escape:'htmlall':'UTF-8'}{/if}</textarea>
			<p class="help-block">
				{l s='Enter IPs which you want to Block. Without space and Separeted by (,)' mod='geoipban'}
		</p>
			</div>
		</div>

		<div class="form-group">
			<label class="control-label col-sm-4">
				{l s='Select Blocked Response Option' mod='geoipban'}
			</label>
			<div class="col-sm-6">
				<select name="BLOCKING_MSG_OPTION" id="BLOCKING_MSG_OPTION" class="form-control">
					<option value="fmm_redirect" {if !empty($msg_option) && $msg_option == 'fmm_redirect'} selected {/if}>{l s='Redirect to Link' mod='geoipban'}</option>
					<option value="fmm_msg" {if !empty($msg_option) && $msg_option == 'fmm_msg'} selected {/if}>{l s='Display A Message' mod='geoipban'}</option>
					
				</select>
			</div>
		</div>

		<div class="form-group" id="msg">
			<label class="col-sm-4 control-label">
				{l s='Enter Message for Blockers' mod='geoipban'}
			</label>
			<div class="col-sm-8">
				{foreach from=$languages item=language}
				{foreach from=$msg item=mm}
					{if $languages|count > 1}
					<div class="translatable-field row lang-{$language.id_lang|escape:'htmlall':'UTF-8'}" {if $language.id_lang != $current_lang}style="display:none"{/if}>
						<div class="col-sm-10">
					{/if}
						<textarea
							id="BLOCKING_OPTION_MESSAGE_{$language.id_lang|escape:'htmlall':'UTF-8'}"
							class="form-control autoload_rte rte"
							name="BLOCKING_OPTION_MESSAGE_{$language.id_lang|escape:'htmlall':'UTF-8'}"
						>{if !empty($mm[$language.id_lang])}{$mm[$language.id_lang]|escape:'htmlall':'UTF-8'}{/if}</textarea>
					{if $languages|count > 1}
						</div>
							<div class="col-sm-2">
								<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" tabindex="-1">
									{$language.iso_code|upper|escape:'htmlall':'UTF-8'}
									<span class="caret"></span>
								</button>
								<ul class="dropdown-menu">
									{foreach from=$languages item=language}
									<li>
										<a href="javascript:hideOtherLanguage({$language.id_lang|escape:'htmlall':'UTF-8'});">{$language.name|escape:'htmlall':'UTF-8'}</a>
									</li>
									{/foreach}
								</ul>
							</div>
						</div>
					{/if}
				{/foreach}
			{/foreach}
		</div>	
		</div>

		<div class="form-group" id="url">
			<label class="col-sm-4 control-label">
				{l s='Enter URL to Redirect' mod='geoipban'}
			</label>
			<div class="col-sm-6">
				<input type="text" name="BLOCKING_OPTION_URL" id="BLOCKING_OPTION_URL" class="form-control" value="{if !empty($url_option)}{$url_option|escape:'htmlall':'UTF-8'}{/if}">
				<p class="help-block">
					{l s='example: https://www.example.com' mod='geoipban'}
			</p>
			</div>
		</div>

	</div><!-- /.form-wrapper -->
	<div class="panel-footer">
         <button type="submit" id="module_form_submit_btn" name="submitGeoipbanModule" class="btn btn-default pull-right">
            <i class="process-icon-save"></i> Save
         </button>
      </div>
   </div>