{**
 * 2012 - 2024 HiPresta
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0).
 * It is also available through the world-wide-web at this URL: https://opensource.org/licenses/AFL-3.0
 *
 * @author    HiPresta <support@hipresta.com>
 * @copyright HiPresta 2024
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *
 * @website   https://hipresta.com
 *}
<div class="hi-cookie-block hi-cookie-block-tm-1 {if $position == 'popup' || (!$display_banner && $cookie_settings)}white-popup mfp-hide hi-cookie-block-popup{/if} {if !$display_banner}hi-cookie-edit-mode{/if} hi-module-hide clearfix">
    <div class="hi-cookie-content">
        {if $continueWithoutAccepting && $display_banner}
            <a href="#" class="hi-cookie-continue-without-accepting">{l s='Continue Without Accepting' mod='hicookielaw'}</a>
        {/if}
        
        {if $displayShopLogo || $bannerLogo}
            <div class="hi-cookie-logo">
                {if $displayShopLogo}
                    <img src="{$shop.logo|escape:'htmlall':'UTF-8'}" alt="{$shop.name|escape:'htmlall':'UTF-8'}">
                {else}
                    <img src="{$cookieAssetsDir|escape:'htmlall':'UTF-8'}img/upload/{$bannerLogo|escape:'htmlall':'UTF-8'}">
                {/if}
            </div>
        {/if}

        {$cookielaw_text nofilter}
    </div>
    {if $hiCookieTypes|count > 0}
        <div class="hi-cookie-selects">
            {foreach $hiCookieTypes as $cookieType}
                <div class="hi-cookie-item">
                    <div class="hi-cookie-item-desc">
                        <div>{$cookieType.name|escape:'htmlall':'UTF-8'}</div>
                        {if $cookieType.description}
                            <div class="hi-cookie-item-details">{$cookieType.description nofilter}</div>
                        {/if}
                    </div>
                    <div class="hi-cookie-toggle">
                        <div class="hi-checkbox-toggle">
                            <input type="checkbox"
                                name="hi-cookie-type[]"
                                id="hi-cookie-type-{$cookieType.id_type|intval}"
                                class="comparator not_uniform hi-cookie-type"
                                value="{$cookieType.id_type|intval}"
                                {if ($hiCookiesAccepted && $cookieType.accepted) || (!$hiCookiesAccepted && $cookieType.default_status)}
                                    checked
                                {/if}
                                {if $cookieType.disabled}disabled{/if}
                            >
                            <label for="hi-cookie-type-{$cookieType.id_type|intval}">
                                <div class="hi-checkbox-switch">
                                    <div class="hi-checkbox-dot"></div>
                                </div>
                            </label>
                        </div>
                    </div>
                </div>
            {/foreach}
        </div>
    {/if}
    <div class="hi-cookie-buttons">
        {if $display_banner}
            <button class="hi-cookie-btn hi-cookie-btn-accept hi-cookie-accept-all-template-1" data-type="all">{l s='Accept All' mod='hicookielaw'}</button>
            <button class="hi-cookie-btn hi-cookie-btn-accept hi-cookie-accept-selected-template-1 hi-module-hide">{l s='Accept Selection' mod='hicookielaw'}</button>
        {else}
            <button class="hi-cookie-btn hi-cookie-btn-accept">
                {l s='Change' mod='hicookielaw'}
            </button>
        {/if}
        {if $hiCookieTypes|count > 0}
            <button class="hi-cookie-btn hi-cookie-btn-customize">{l s='Customize' mod='hicookielaw'}</button>
        {/if}
        {if $info_page_id}
            <a href="{$link->getCMSLink($info_page_id)}" class="hi-cookie-btn hi-cookie-btn-more-info">{l s='More info' mod='hicookielaw'}</a>
        {/if}
    </div>
    <style type="text/css">
        .hi-cookie-block {
            background-color: {$bg_color|escape:'htmlall':'UTF-8'};
        }
        .hi-cookie-content,
        .hi-cookie-content p,
        .hi-cookie-item-desc,
        .hi-cookie-item-details p {
            color: {$text_color|escape:'htmlall':'UTF-8'};
        }
        .hi-cookie-item,
        .hi-cookie-btn,
        .hi-cookie-buttons,
        .hi-cookie-selects {
            border-color: {$borders_color|escape:'htmlall':'UTF-8'};
        }
        .hi-cookie-block,
        .hi-cookie-selects {
            border-radius: {$border_radius|escape:'htmlall':'UTF-8'}px;
        }
        .hi-cookie-btn-accept,
        .hi-cookie-btn-accept:hover {
            color: {$accept_text_color|escape:'htmlall':'UTF-8'};
        }
        .hi-cookie-btn-customize,
        .hi-cookie-btn-customize:hover {
            color: {$customize_text_color|escape:'htmlall':'UTF-8'};
        }
        .hi-cookie-btn-more-info,
        .hi-cookie-btn-more-info:hover {
            color: {$info_text_color|escape:'htmlall':'UTF-8'};
        }
        .hi-cookie-content {
            padding-top: {$banner_padding.top|escape:'htmlall':'UTF-8'}px;
            padding-left: {$banner_padding.left|escape:'htmlall':'UTF-8'}px;
            padding-right: {$banner_padding.right|escape:'htmlall':'UTF-8'}px;
        }
        .hi-cookie-selects {
            margin-left: {$banner_padding.left|escape:'htmlall':'UTF-8'}px;
            margin-right: {$banner_padding.right|escape:'htmlall':'UTF-8'}px;
        }
        .hi-cookie-buttons {
            padding-bottom: {$banner_padding.bottom|escape:'htmlall':'UTF-8'}px;
        }
        .hi-cookie-block {
            max-width: {$popup_width|escape:'htmlall':'UTF-8'}px;
        }
        {if $display_banner}
            {if $position == 'topleft'}
                .hi-cookie-block {
                    top: 40px;
                    bottom: auto;
                    left: 20px;
                    right: auto;
                    margin-right: 20px;
                }
            {elseif $position == 'topright'}
                .hi-cookie-block {
                    top: 40px;
                    bottom: auto;
                    left: auto;
                    right: 20px;
                    margin-left: 20px;
                }
            {elseif $position == 'bottomleft'}
                .hi-cookie-block {
                    top: auto;
                    bottom: 40px;
                    left: 20px;
                    right: auto;
                    margin-right: 20px;
                }
            {else if $position == 'bottomright'}
                .hi-cookie-block {
                    top: auto;
                    bottom: 40px;
                    left: auto;
                    right: 20px;
                    margin-left: 20px;
                }
            {/if}
        {/if}
        {$custom_css nofilter}
    </style>
</div>