{**
 * 2012 - 2024 HiPresta
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0).
 * It is also available through the world-wide-web at this URL: https://opensource.org/licenses/AFL-3.0
 *
 * @author    HiPresta <support@hipresta.com>
 * @copyright HiPresta 2024
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 *
 * @website   https://hipresta.com
 *}
{if $hiCookieConsentMode}
    <script>
        {literal}
            // Define dataLayer and the gtag function.
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}

            // Default values
            gtag('consent', 'default', {
                'ad_storage': hiCookieGoogleConsentSettings.adStorageDefaultValue,
                'analytics_storage': hiCookieGoogleConsentSettings.analyticsStorageDefaultValue,
                'ad_user_data': hiCookieGoogleConsentSettings.adUserDataDefaultValue,
                'ad_personalization': hiCookieGoogleConsentSettings.adPersonalizationDefaultValue,
                'wait_for_update': 1000
            });

            if (hiCookieGoogleConsentSettings.adsDataRedaction) {
                gtag('set', 'ads_data_redaction', true);
            }
            
            if (hiCookieGoogleConsentSettings.urlPassthrough) {
                gtag('set', 'url_passthrough', true);
            }

            // set new values if cookies already accepted
            if (hiCookieGoogleConsentSettings.cookiesAccepted) {
                gtag('consent', 'update', {
                    'ad_storage': hiCookieGoogleConsentSettings.adStorageCookieTypeGranted,
                    'analytics_storage': hiCookieGoogleConsentSettings.analyticsStorageCookieTypeGranted,
                    'ad_user_data': hiCookieGoogleConsentSettings.adUserDataCookieTypeGranted,
                    'ad_personalization': hiCookieGoogleConsentSettings.adPersonalizationCookieTypeGranted,
                });
            }
        {/literal}
    </script>
{/if}

{* Embedd custom scripts *}
{if $cookieTypes && $hiAcceptedCookies}
    {foreach $cookieTypes as $cookieType}
        {if $cookieType.script && $hiAcceptedCookies[$cookieType.id_type]}
            {$cookieType.script nofilter}
        {/if}
    {/foreach}
{/if}