<?php
/**
* LayerSlider v5.1.6 - Responsive Slideshow Module http://layerslider.webshopworks.com
*
*  @author    WebshopWorks <info@webshopworks.com>
*  @copyright 2015 WebshopWorks
*  @license   One Domain Licence
*/

if (!defined('_PS_VERSION_'))
	exit;

if (!defined('LS_INCLUDE'))
{
	$id = 0;
	$ls_defaults = array();
	$slides = array();
	$data = array();
}

$slider = array();

$slides['properties'] = ww_apply_filters('ls_parse_defaults', $ls_defaults['slider'], $slides['properties']);
$slides['properties']['attrs']['skinsPath'] = __PS_BASE_URI__.'modules/layerslider/views/css/base/skins/';
if (isset($slides['properties']['autoPauseSlideshow']))
{
	switch ($slides['properties']['autoPauseSlideshow'])
	{
		case 'auto':
			$slides['properties']['autoPauseSlideshow'] = 'auto';
			break;
		case 'enabled':
			$slides['properties']['autoPauseSlideshow'] = true;
			break;
		case 'disabled':
			$slides['properties']['autoPauseSlideshow'] = false;
			break;
	}
}

if (isset($slides['layers']) && is_array($slides['layers']))
{
	foreach ($slides['layers'] as $slidekey => $slide)
	{
		$slider['slides'][$slidekey] = ww_apply_filters('ls_parse_defaults', $ls_defaults['slides'], $slide['properties']);
		if (isset($slide['sublayers']) && is_array($slide['sublayers']))
		{
			foreach ($slide['sublayers'] as $layerkey => $layer)
			{
				if (!empty($layer['transition']))
					$layer = array_merge($layer, Tools::jsonDecode(call_user_func('stripslashes', $layer['transition']), true));

				$slider['slides'][$slidekey]['layers'][$layerkey] = ww_apply_filters('ls_parse_defaults', $ls_defaults['layers'], $layer);
			}
		}
	}
}

$init = array();
foreach ($slides['properties']['attrs'] as $key => $val)
{
	if (is_bool($val))
	{
		$val = $val ? 'true' : 'false';
		$init[] = $key.': '.$val;
	}
	elseif (is_numeric($val))
		$init[] = $key.': '.$val;
	elseif (Tools::substr($key, 0, 2) == 'cb' && empty($val))
		continue;
	elseif (strpos($val, 'function(') === 0)
		$init[] = $key.': '.$val;
	else
		$init[] = "$key: '$val'";
}
$init = implode(', ', $init);

$initScript = "
;document[(_el=document.addEventListener)?'addEventListener':'attachEvent'](_el?'DOMContentLoaded':'onreadystatechange',function(){
	if (!_el && document.readyState != 'complete') return;
	(window.lsjq || jQuery)('#layerslider_$id').layerSlider({ $init });
});
";

if (ww_get_option('force_js', false) == 'on')
	$data[] = '<script id="testls" src="data:text/javascript;base64,'.call_user_func('base64_encode', $initScript).'"></script>';
else
	$data[] = '<script id="testls">'.$initScript.'</script>';