<?php
/**
* LayerSlider v5.1.6 - Responsive Slideshow Module http://layerslider.webshopworks.com
*
*  @author    WebshopWorks <info@webshopworks.com>
*  @copyright 2015 WebshopWorks
*  @license   One Domain Licence
*/

if (!defined('_PS_VERSION_'))
	exit;

$skins = array_map('basename', glob(LS_ROOT_PATH.'/static/skins/*', GLOB_ONLYDIR));
$skin = Tools::getValue('skin', $skins[0]);
$folder = LS_CSS_PATH.'/skins/'.$skin;
$file = $folder.'/skin.css';

$ls_screen_options = ww_get_option('ls-screen-options', '0');
$ls_screen_options = ($ls_screen_options == 0) ? array() : $ls_screen_options;
$ls_screen_options = is_array($ls_screen_options) ? $ls_screen_options : unserialize($ls_screen_options);

if (!isset($ls_screen_options['showTooltips']))
	$ls_screen_options['showTooltips'] = 'true';

?>

<div id="ls-screen-options" class="metabox-prefs hidden">
	<div id="screen-options-wrap" class="hidden">
		<form id="ls-screen-options-form" action="<?php echo $_SERVER['REQUEST_URI']?>" method="post">
			<h5><?php ww_e('Show on screen', 'LayerSlider') ?></h5>
			<label>
				<input type="checkbox" name="showTooltips"<?php echo $ls_screen_options['showTooltips'] == 'true' ? ' checked="checked"' : ''?>> <?php ww_e('Tooltips', 'LayerSlider') ?>
			</label>
		</form>
	</div>
	<div id="screen-options-link-wrap" class="hide-if-no-js screen-meta-toggle">
		<a href="#screen-options-wrap" id="show-settings-link" class="show-settings"><?php ww_e('Screen Options', 'LayerSlider') ?></a>
	</div>
</div>

<div class="wrap">
	<hr>
	<!-- Error messages -->
	<?php if (Tools::getIsset('edited'))
	{?>
	<div class="ls-notification changed">
		<div><?php ww_e('Your changes has been saved!', 'LayerSlider') ?></div>
	</div>
	<?php
	}?>
	<!-- End of error messages -->

	<!-- Editor box -->
	<form action="<?php echo Context::getContext()->link->getAdminLink('AdminLayerSliderSkin') ?>&action=saveSkin" method="post" class="ls-box ls-skin-editor-box">
		<input type="hidden" name="ls-user-skins" value="1">
		<?php ww_nonce_field('save-user-skin'); ?>
		<h3 class="header medium">
			<span><?php ww_e('Choose a skin:', 'LayerSlider') ?></span>
			<select name="skin" class="ls-skin-editor-select">
			<?php foreach ($skins as $item)
			{?>
				<?php if ($item == $skin)
				{?>
				<option selected="selected">
					<?php echo $item ?>
				</option>
				<?php
				}
				else
				{?>
				<option>
					<?php echo $item ?>
				</option>
				<?php
				}?>
			<?php
			}?>
			</select>
			<figure><span>|</span><?php ww_e('Ctrl+Q to fold/unfold a block', 'LayerSlider') ?></figure>
		</h3>
		<p class="inner"><?php ww_e('Built-in skins will be overwritten by plugin updates. Making changes should be done through the Custom Styles Editor.', 'LayerSlider') ?></p>
		<div class="inner">
			<textarea rows="10" cols="50" name="contents" class="ls-codemirror"><?php echo Tools::file_get_contents($file); ?></textarea>
			<p class="footer">
				<?php
				if (!is_writable($folder))
					ww_e('You need to make this file writable before you can save your changes.', 'LayerSlider');
				else
				{?>
				<button class="button-primary"><?php ww_e('Save changes', 'LayerSlider') ?></button>
				<?php ww_e('Modifying a skin with bad code can break your sliders\' appearance. Changes cannot be reverted after saving.', 'LayerSlider') ?>
				<?php
				}?>
			</p>
		</div>
	</form>
</div>
<script type="text/javascript">
	var lsScreenOptions = <?php echo Tools::jsonEncode($ls_screen_options) ?>;
</script>
