<?php
/**
* LayerSlider v5.1.6 - Responsive Slideshow Module http://layerslider.webshopworks.com
*
*  @author    WebshopWorks <info@webshopworks.com>
*  @copyright 2015 WebshopWorks
*  @license   One Domain Licence
*/

if (!defined('_PS_VERSION_'))
	exit;

if (!defined('LS_INCLUDE'))
{
	$ls_defaults = array();
	$slider = array();
}
?>
<!-- Slider title -->

<div class="ls-slider-titlewrap">
	<input type="text" name="title" value="<?php echo $slider['properties']['title'] ?>" id="title" autocomplete="off" placeholder="<?php ww_e('Type your slider name here', 'LayerSlider') ?>">
	<div class="ls-slider-slug">
		Slider slug:<input type="text" name="slug" value="<?php echo !empty($slider['properties']['slug']) ? $slider['properties']['slug'] : '' ?>" id="title" autocomplete="off" placeholder="<?php ww_e('e.g. homepageslider', 'LayerSlider') ?>" data-help="Set a custom slider identifier to use in shortcodes instead of the database ID. Needs to be unique, and can contain only alphanumeric characters. This setting is optional.">
	</div>
</div>

<!-- Slider settings -->
<div class="ls-box ls-settings">
	<h3 class="header medium"><?php ww_e('Slider Settings', 'LayerSlider') ?></h3>
	<div class="inner">
		<ul class="ls-settings-sidebar">
			<li class="active"><span class="ls-icon layout"></span><?php ww_e('Layout', 'LayerSlider') ?></li>
			<li><span class="ls-icon slideshow"></span><?php ww_e('Slideshow', 'LayerSlider') ?></li>
			<li><span class="ls-icon appearance"></span><?php ww_e('Appearance', 'LayerSlider') ?></li>
			<li><span class="ls-icon navigation"></span><?php ww_e('Navigation Area', 'LayerSlider') ?></li>
			<li><span class="ls-icon thumbnails"></span><?php ww_e('Thumbnail Navigation', 'LayerSlider') ?></li>
			<li><span class="ls-icon videos"></span><?php ww_e('Videos', 'LayerSlider') ?></li>
			<li><span class="ls-icon misc"></span><?php ww_e('Misc', 'LayerSlider') ?></li>
			<li><span class="ls-icon yourlogo"></span><?php ww_e('YourLogo', 'LayerSlider') ?></li>
		</ul>
		<div class="ls-settings-contents">
			<table>

				<!-- Layout -->
				<tbody class="active">
					<tr>
						<td><?php ww_e($ls_defaults['slider']['hook']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['hook'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['hook']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Slider dimensions', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['width']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['width'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['width']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['height']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['height'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['height']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Responsive mode', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['responsiveness']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['responsiveness'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['responsiveness']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['maxWidth']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['maxWidth'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['maxWidth']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Full-width slider settings', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['fullWidth']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['fullWidth'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['fullWidth']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['responsiveUnder']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['responsiveUnder'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['responsiveUnder']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['layersContainer']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['layersContainer'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['layersContainer']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Mobile settings', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['hideOnMobile']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['hideOnMobile'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['hideOnMobile']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['hideUnder']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['hideUnder'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['hideUnder']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['hideOver']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['hideOver'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['hideOver']['desc'], 'LayerSlider') ?></td>
					</tr>
				</tbody>

				<!-- Slideshow -->
				<tbody>
					<tr><th colspan="3"><?php ww_e('Slideshow behavior', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['autoStart']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['autoStart'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['autoStart']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['startInViewport']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['startInViewport'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['startInViewport']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['pauseOnHover']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['pauseOnHover'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['pauseOnHover']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Starting slide options', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['firstSlide']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['firstSlide'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['firstSlide']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['animateFirstSlide']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['animateFirstSlide'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['animateFirstSlide']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Slideshow navigation', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['keybNavigation']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['keybNavigation'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['keybNavigation']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['touchNavigation']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['touchNavigation'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['touchNavigation']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Looping', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e('Loops', 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['loops'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e('Number of loops if automatically start slideshow is enabled (0 means infinite!)', 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['forceLoopNumber']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['forceLoopNumber'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['forceLoopNumber']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Other settings', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['twoWaySlideshow']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['twoWaySlideshow'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['twoWaySlideshow']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['shuffle']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['shuffle'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['shuffle']['desc'], 'LayerSlider') ?></td>
					</tr>
				</tbody>

				<!-- Appearance -->
				<tbody>
					<tr>
						<td><?php ww_e('Skin', 'LayerSlider') ?></td>
						<td>
							<select name="skin">
								<?php $slider['properties']['skin'] = empty($slider['properties']['skin']) ? $ls_defaults['slider']['skin']['value'] : $slider['properties']['skin'] ?>
								<?php $skins = lsGetSkins(); ?>
								<?php foreach ($skins as $skin)
								{?>
								<?php $selected = ($skin['folder'] == $slider['properties']['skin']) ? ' selected="selected"' : '' ?>
								<option value="<?php echo $skin['folder'] ?>"<?php echo $selected ?>>
									<?php
									echo $skin['name'];
									if (!empty($skin['info']['note']))
										echo ' - '.$skin['info']['note'];
									?>
								</option>
								<?php
								}?>
							</select>
						</td>
						<td class="desc"><?php ww_e('You can change the skin of the slider. The "noskin" skin is a border- and buttonless skin. Your custom skins will appear in the list when you create their folders as well.', 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['globalBGColor']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['globalBGColor'], $slider['properties'], array('class' => 'input ls-colorpicker minicolors-input')) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['globalBGColor']['desc'], 'LayerSlider') ?></td>
					</tr>

					<tr>
						<td><?php ww_e('Background image', 'LayerSlider') ?></td>
						<td>
							<input type="hidden" name="backgroundimage" value="<?php echo !empty($slider['properties']['backgroundimage']) ? $slider['properties']['backgroundimage'] : '' ?>">
							<div class="ls-image ls-upload">
								<div><img src="<?php echo ww_apply_filters('ls_get_thumbnail', '', !empty($slider['properties']['backgroundimage']) ? $slider['properties']['backgroundimage'] : null) ?>" alt=""></div>
								<a href="#">x</a>
							</div>
						</td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['globalBGImage']['desc'], 'LayerSlider') ?></td>
					</tr>

					<tr>
						<td><?php ww_e($ls_defaults['slider']['globalBGPosition']['name'], 'LayerSlider') ?></td>
						<td>
							<div class="reset-parent">
								<?php lsGetInput($ls_defaults['slider']['globalBGPosition'], $slider['properties'], array('class' => 'input')) ?>
								<span class="ls-reset">x</span>
							</div>
						</td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['globalBGPosition']['desc'], 'LayerSlider') ?></td>
					</tr>

					<tr>
						<td><?php ww_e($ls_defaults['slider']['globalBGSize']['name'], 'LayerSlider') ?></td>
						<td>
							<div class="reset-parent">
								<?php lsGetInput($ls_defaults['slider']['globalBGSize'], $slider['properties'], array('class' => 'input')) ?>
								<span class="ls-reset">x</span>
							</div>
						</td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['globalBGSize']['desc'], 'LayerSlider') ?></td>
					</tr>

					<tr>
						<td><?php ww_e('Background repeat', 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['globalBGRepeat'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['globalBGRepeat']['desc'], 'LayerSlider') ?></td>
					</tr>

					<tr>
						<td><?php ww_e('Background behaviour', 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['globalBGBehaviour'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['globalBGBehaviour']['desc'], 'LayerSlider') ?></td>
					</tr>

					<tr>
						<td><?php ww_e($ls_defaults['slider']['sliderFadeInDuration']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['sliderFadeInDuration'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['sliderFadeInDuration']['desc'], 'LayerSlider') ?></td>
					</tr>

					<tr>
						<td><?php ww_e('Custom slider CSS', 'LayerSlider') ?></td>
						<td>
							<div class="reset-parent">
								<?php lsGetInput($ls_defaults['slider']['sliderStyle'], $slider['properties'], array('class' => 'input')) ?>
								<span class="ls-reset">x</span>
							</div>
						</td>
						<td class="desc"><?php ww_e('Here you can apply your custom CSS style settings to the slider.', 'LayerSlider') ?></td>
					</tr>
				</tbody>

				<!-- Navigation Area -->
				<tbody>
					<tr><th colspan="3"><?php ww_e('Show navigation buttons', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['navPrevNextButtons']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['navPrevNextButtons'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['navPrevNextButtons']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['navStartStopButtons']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['navStartStopButtons'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['navStartStopButtons']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['navSlideButtons']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['navSlideButtons'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['navSlideButtons']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Navigation buttons on hover', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['hoverPrevNextButtons']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['hoverPrevNextButtons'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['hoverPrevNextButtons']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['hoverSlideButtons']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['hoverSlideButtons'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['hoverSlideButtons']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Slideshow timers', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['barTimer']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['barTimer'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['barTimer']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['circleTimer']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['circleTimer'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['circleTimer']['desc'], 'LayerSlider') ?></td>
					</tr>
				</tbody>

				<!-- Thumbnail navigation -->
				<tbody>
					<tr><th colspan="3"><?php ww_e('Appearance', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e('Thumbnail navigation', 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['thumbnailNavigation'], $slider['properties']) ?></td>
						<td class="desc"></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['thumbnailAreaWidth']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['thumbnailAreaWidth'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['thumbnailAreaWidth']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Thumbnail dimensions', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['thumbnailWidth']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['thumbnailWidth'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['thumbnailWidth']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['thumbnailHeight']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['thumbnailHeight'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['thumbnailHeight']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr><th colspan="3"><?php ww_e('Thumbnail appearance', 'LayerSlider') ?></th></tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['thumbnailActiveOpacity']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['thumbnailActiveOpacity'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['thumbnailActiveOpacity']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['thumbnailInactiveOpacity']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['thumbnailInactiveOpacity'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['thumbnailInactiveOpacity']['desc'], 'LayerSlider') ?></td>
					</tr>
				</tbody>

				<!-- Videos -->
				<tbody>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['autoPlayVideos']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['autoPlayVideos'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['autoPlayVideos']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['autoPauseSlideshow']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['autoPauseSlideshow'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['autoPauseSlideshow']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['youtubePreviewQuality']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['youtubePreviewQuality'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['youtubePreviewQuality']['desc'], 'LayerSlider') ?></td>
					</tr>
				</tbody>

				<!-- Misc -->
				<tbody>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['shop']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['shop'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['shop']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['lang']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['lang'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['lang']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e('Categories<br>&amp; Pages', 'LayerSlider') ?></td>
						<td colspan="2">
							<?php lsGetMultiSelect($ls_defaults['slider']['cats'], $slider['properties']) ?>
							<?php lsGetMultiSelect($ls_defaults['slider']['pages'], $slider['properties']) ?>
							<br/>
							<span style="font-size:11px; color:#898989"><?php ww_e('Use Ctrl to select multiple categories or pages.', 'LayerSlider') ?></span>
						</td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['imagePreload']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['imagePreload'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['imagePreload']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['lazyLoad']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['lazyLoad'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['lazyLoad']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['relativeURLs']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetCheckbox($ls_defaults['slider']['relativeURLs'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['relativeURLs']['desc'], 'LayerSlider') ?></td>
					</tr>
				</tbody>

				<!-- YourLogo -->
				<tbody>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['yourLogoImage']['name'], 'LayerSlider') ?></td>
						<td>
							<?php $slider['properties']['yourlogo'] = !empty($slider['properties']['yourlogo']) ? $slider['properties']['yourlogo'] : null; ?>
							<?php $slider['properties']['yourlogoId'] = !empty($slider['properties']['yourlogoId']) ? $slider['properties']['yourlogoId'] : null; ?>
							<input type="hidden" name="yourlogoId" value="<?php echo !empty($slider['properties']['yourlogoId']) ? $slider['properties']['yourlogoId'] : '' ?>">
							<input type="hidden" name="yourlogo" value="<?php echo !empty($slider['properties']['yourlogo']) ? $slider['properties']['yourlogo'] : '' ?>">
							<div class="ls-image ls-upload">
								<div><img src="<?php echo ww_apply_filters('ls_get_thumbnail', $slider['properties']['yourlogoId'], $slider['properties']['yourlogo']) ?>" alt=""></div>
								<a href="#">x</a>
							</div>
						</td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['yourLogoImage']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['yourLogoStyle']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['yourLogoStyle'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['yourLogoStyle']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['yourLogoLink']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetInput($ls_defaults['slider']['yourLogoLink'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['yourLogoLink']['desc'], 'LayerSlider') ?></td>
					</tr>
					<tr>
						<td><?php ww_e($ls_defaults['slider']['yourLogoTarget']['name'], 'LayerSlider') ?></td>
						<td><?php lsGetSelect($ls_defaults['slider']['yourLogoTarget'], $slider['properties']) ?></td>
						<td class="desc"><?php ww_e($ls_defaults['slider']['yourLogoTarget']['desc'], 'LayerSlider') ?></td>
					</tr>
				</tbody>
			</table>
		</div>
		<div class="clear"></div>
	</div>
</div>
